# Dingtalk Design 移动端组件

## 组件示例

![button](https://img.alicdn.com/imgextra/i1/O1CN01mZW0YD2AFkGBNeW85_!!6000000008174-2-tps-366-650.png#pic_center) ![divider](https://img.alicdn.com/imgextra/i4/O1CN01FO4ibE1PSlZw90UGS_!!6000000001840-2-tps-364-648.png#pic_center)

## 多端能力示例

![示例](https://img.alicdn.com/imgextra/i2/O1CN01UUQIZ01jTUWRtl35G_!!6000000004549-2-tps-1458-888.png#pic_center)

## 📦 安装(Install)

```bash
$ npm install dingtalk-design-mobile --save
```

## 🔨 使用示例(Usage)

```jsx
import { Button } from 'dingtalk-design-mobile';

ReactDOM.render(<Button type="primary">按钮<Button>, mountNode);
```

## ✨ 特色(Feature)

- 🌈 提炼自钉钉企业级终端产品的交互语言和视觉风格。
- 🎨 完美支持钉钉主题，支持浅色主题以及暗色主题。
- 🛡 使用 TypeScript 开发，提供完整的类型定义文件。
- 🍷 完美支持钉钉 React Mobile 及 PC 侧边栏的使用以及自动适配。

## 🔗 相关链接(Links)

- [站点](https://ding.design/)
- [文档](https://ding.design/#/cate/227/page/737)
- [组件总览](https://ding.design/#/cate/64/page/475?filter=mobile)
- [ChangeLog](https://ding.design/#/cate/227/page/833)
- [FAQ](https://ding.design/#/cate/227/page/744)
