var __read = this && this.__read || function (o, n) {
  var m = typeof Symbol === "function" && o[Symbol.iterator];
  if (!m) return o;
  var i = m.call(o),
    r,
    ar = [],
    e;
  try {
    while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
  } catch (error) {
    e = {
      error: error
    };
  } finally {
    try {
      if (r && !r.done && (m = i["return"])) m.call(i);
    } finally {
      if (e) throw e.error;
    }
  }
  return ar;
};
var __values = this && this.__values || function (o) {
  var s = typeof Symbol === "function" && Symbol.iterator,
    m = s && o[s],
    i = 0;
  if (m) return m.call(o);
  if (o && typeof o.length === "number") return {
    next: function next() {
      if (o && i >= o.length) o = void 0;
      return {
        value: o && o[i++],
        done: !o
      };
    }
  };
  throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
};
import * as React from 'react';
import { Button, List, Switch } from 'dingtalk-design-mobile';
import WhiteSpace from '../../white-space';
import WingBlank from '../../wing-blank';
import { uuid } from '..';
var SingleFormDemo = function SingleFormDemo(_a) {
  var children = _a.children,
    noLabel = _a.noLabel;
  var _b = __read(React.useState(uuid()), 1),
    id = _b[0];
  var _c = __read(React.useState(false), 2),
    disabled = _c[0],
    setDisabled = _c[1];
  // @ts-ignore
  var unControlledChild = /*#__PURE__*/React.cloneElement(children, {
    name: 't1',
    disabled: disabled,
    id: id,
    autoFocus: true
  });
  return /*#__PURE__*/React.createElement("form", {
    onSubmit: function onSubmit(e) {
      var e_1, _a;
      e.preventDefault();
      // @ts-ignore
      var data = new FormData(e.currentTarget).entries();
      var object = {};
      try {
        // 处理 FormData 里的值，兼顾多选的场景
        for (var data_1 = __values(data), data_1_1 = data_1.next(); !data_1_1.done; data_1_1 = data_1.next()) {
          var item = data_1_1.value;
          var _b = __read(item, 2),
            key = _b[0],
            value = _b[1];
          if (!Reflect.has(object, key)) {
            object[key] = value;
            continue;
          }
          if (!Array.isArray(object[key])) {
            object[key] = [object[key]];
          }
          object[key].push(value);
        }
      } catch (e_1_1) {
        e_1 = {
          error: e_1_1
        };
      } finally {
        try {
          if (data_1_1 && !data_1_1.done && (_a = data_1["return"])) _a.call(data_1);
        } finally {
          if (e_1) throw e_1.error;
        }
      }
      alert({
        title: 'html form 表单提交',
        content: JSON.stringify(object)
      });
    }
  }, /*#__PURE__*/React.createElement(List, {
    renderHeader: "\u5355\u72EC\u4F7F\u7528\uFF0C\u914D\u5408 dom \u5B9E\u9645\u6570\u636E"
  }, /*#__PURE__*/React.createElement(List.Item, {
    extra: /*#__PURE__*/React.createElement(Switch, {
      checked: disabled,
      onChange: setDisabled
    })
  }, "\u7981\u7528"), !noLabel && (/*#__PURE__*/React.createElement("label", {
    htmlFor: id
  }, /*#__PURE__*/React.createElement(List.Item, null, "Label \u533A\u57DF\u4E5F\u53EF\u70B9")))), /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("h3", null, "\u975E\u53D7\u63A7\u6A21\u5F0F"), unControlledChild), /*#__PURE__*/React.createElement(WhiteSpace, null), /*#__PURE__*/React.createElement(WingBlank, null, /*#__PURE__*/React.createElement(Button, {
    type: "primary"
  }, "\u63D0\u4EA4")));
};
SingleFormDemo.defaultProps = {
  noLabel: false
};
export default SingleFormDemo;