type RadioDataValue = string[];
interface Data {
    [key: string]: {
        hide?: (d: any) => boolean;
        desc?: string;
        v: string | boolean;
        type?: 'switch' | 'radio';
        options?: RadioDataValue;
        getPropsFromValue?: (v: any) => any;
    };
}
type Ret<T, W> = {
    [K in keyof T]: W;
};
export default function <T extends Data>(data: T, opts?: {
    randomKey?: boolean;
}): [Ret<T, any>, JSX.Element];
export {};
