var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];
      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }
    return t;
  };
  return __assign.apply(this, arguments);
};
var __read = this && this.__read || function (o, n) {
  var m = typeof Symbol === "function" && o[Symbol.iterator];
  if (!m) return o;
  var i = m.call(o),
    r,
    ar = [],
    e;
  try {
    while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
  } catch (error) {
    e = {
      error: error
    };
  } finally {
    try {
      if (r && !r.done && (m = i["return"])) m.call(i);
    } finally {
      if (e) throw e.error;
    }
  }
  return ar;
};
import * as React from 'react';
import { List, Switch, Radio, Button } from 'dingtalk-design-mobile';
import { Dialog } from '../../rmc';
import WhiteSpace from '../../white-space';
import WingBlank from '../../wing-blank';
export default function (data, opts) {
  var fixData = Object.keys(data).reduce(function (ret, k) {
    var _a;
    var v = data[k].v;
    return __assign(__assign({}, ret), (_a = {}, _a[k] = v, _a));
    // 现在没有办法返回正确的 Ret 类型
  }, {});
  var _a = __read(React.useState(fixData), 2),
    d = _a[0],
    sd = _a[1];
  // 为需要的添加 key
  var key = React.useRef(0);
  var handleConfigChange = function handleConfigChange(d) {
    key.current++;
    sd(d);
  };
  // 这里顺序会受 Object.keys(d) 的变化而变化。
  // let a = { a: 1, b: 2, c: 3 }
  // alert(JSON.stringify(Object.keys(a)))
  // a = { ...a, a: 4 }
  // alert(JSON.stringify(Object.keys(a)))
  // 比如以上例子，在 pc chrome 是 ['a', 'b', 'c']，在 ios chrome 则是 ['b', 'c', 'a']
  // 因此，考虑到 state 不会新增 key, 这里为了简单起见，先固定 d 的顺序
  var sortedD = React.useRef(Object.keys(d));
  var _b = __read(React.useState(false), 2),
    visible = _b[0],
    setVisible = _b[1];
  var view = /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(List, {
    renderHeader: "\u6761\u4EF6\u7B5B\u9009".concat((opts === null || opts === void 0 ? void 0 : opts.randomKey) ? '(重绘)' : '')
  }, /*#__PURE__*/React.createElement(List.Item, null, /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    onClick: function onClick() {
      setVisible(!visible);
    }
  }, "\u53C2\u6570\u8C03\u6574"))), /*#__PURE__*/React.createElement(Dialog, {
    visible: visible,
    position: "left",
    onClose: function onClose() {
      return setVisible(false);
    }
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      minWidth: '75vw',
      maxHeight: '100vh',
      overflow: 'auto',
      textAlign: 'left'
    }
  }, /*#__PURE__*/React.createElement(List, {
    renderHeader: "\u6761\u4EF6\u7B5B\u9009"
  }, sortedD.current.map(function (k) {
    var _a, _b;
    if ((_b = (_a = data[k]).hide) === null || _b === void 0 ? void 0 : _b.call(_a, d)) {
      return null;
    }
    // default is switch
    if (data[k].type === 'switch' || data[k].type === undefined) {
      return /*#__PURE__*/React.createElement(List.Item, {
        key: k,
        extra: /*#__PURE__*/React.createElement(Switch, {
          defaultChecked: d[k],
          onChange: function onChange(c) {
            var _a;
            handleConfigChange(__assign(__assign({}, d), (_a = {}, _a[k] = c, _a)));
          }
        })
      }, data[k].desc || k);
    }
    return /*#__PURE__*/React.createElement(Radio.Group, {
      defaultValue: d[k],
      key: k,
      onChange: function onChange(v) {
        var _a;
        handleConfigChange(__assign(__assign({}, d), (_a = {}, _a[k] = v, _a)));
      }
    }, data[k].options.map(function (i) {
      return /*#__PURE__*/React.createElement(Radio.Item, {
        key: i,
        value: i
      }, data[k].desc || k, ": ", i || '无');
    }));
  })), /*#__PURE__*/React.createElement(WhiteSpace, null), /*#__PURE__*/React.createElement(WingBlank, null, /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    onClick: function onClick() {
      return setVisible(false);
    }
  }, "\u5173\u95ED")), /*#__PURE__*/React.createElement(WhiteSpace, null))));
  var retD = Object.keys(d).reduce(function (ret, k) {
    var _a;
    var _b, _c;
    var v = d[k];
    if (typeof data[k].getPropsFromValue === 'function') {
      v = (_c = (_b = data[k]).getPropsFromValue) === null || _c === void 0 ? void 0 : _c.call(_b, v);
    }
    var next = __assign(__assign({}, ret), (_a = {}, _a[k] = v, _a));
    if (opts === null || opts === void 0 ? void 0 : opts.randomKey) {
      // @ts-ignore
      next.key = key.current;
    }
    return next;
    // 现在没有办法返回正确的 Ret 类型
  }, {});
  return [retD, view];
}