import _typeof from "@babel/runtime/helpers/esm/typeof";
export function mergeLocale(base, patch) {
  function merge(a, b) {
    if (_typeof(a) !== 'object' || _typeof(b) !== 'object' || Array.isArray(a) || Array.isArray(b)) {
      return b !== undefined ? b : a;
    }
    var result = {};
    for (var key in a) {
      if (a.hasOwnProperty(key)) {
        result[key] = merge(a[key], b[key]);
      }
    }
    return result;
  }
  return merge(base, patch);
}