import { ReactElement } from 'react';
type ImperativeProps = {
    visible?: boolean;
    onClose?: () => void;
    afterClose?: () => void;
};
type TargetElement = ReactElement<ImperativeProps>;
export type ImperativeHandler = {
    close: () => void;
    replace: (element: TargetElement) => void;
};
export declare function renderImperatively(element: TargetElement): ImperativeHandler;
export {};
