import * as React from 'react';
import { ScreenSizeMap } from '../_internal/responsiveObserve';
export type AvatarSize = 'large' | 'small' | 'default' | number | ScreenSizeMap;
declare const SizeContext: React.Context<AvatarSize>;
export interface SizeContextProps {
    size?: AvatarSize;
}
export declare const SizeContextProvider: React.FC<React.PropsWithChildren<SizeContextProps>>;
export default SizeContext;
