var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];
      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }
    return t;
  };
  return __assign.apply(this, arguments);
};
import * as React from 'react';
import { withError } from '../rmc';
import CheckboxCore from './Checkbox';
import Group from './Group';
import Item from './Item';
import './style/index';
import { dtMobileCheckboxPrefix } from '../style';
export var Checkbox = function Checkbox(props) {
  return /*#__PURE__*/React.createElement(CheckboxCore, __assign({}, props, {
    prefixCls: dtMobileCheckboxPrefix
  }));
};
Checkbox.displayName = 'Checkbox';
Checkbox.Group = Group;
Checkbox.Item = Item;
export default withError(Checkbox);