import React from 'react';
import './style/index';
import { dtMobilePrefix } from '../style/index';
import classnames from 'classnames';
import { withNativeProps } from '../_internal/native-props';
export var dtMobileDivierPrefix = "".concat(dtMobilePrefix, "-divider");
var Divider = /*#__PURE__*/React.memo(function (props) {
  var _a;
  var text = props.text,
    className = props.className,
    align = props.align,
    icon = props.icon,
    full = props.full,
    _b = props.type,
    type = _b === void 0 ? 'horizontal' : _b;
  var prefixCls = dtMobileDivierPrefix;
  var wrapCls = classnames(prefixCls, className, "".concat(prefixCls, "-").concat(type), (_a = {}, _a["".concat(prefixCls, "-left")] = align === 'left', _a["".concat(prefixCls, "-right")] = align === 'right', _a["".concat(prefixCls, "-full")] = full, _a));
  return withNativeProps(props, /*#__PURE__*/React.createElement("div", {
    className: wrapCls
  }, type === 'vertical' ? null : (/*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-inner-left")
  }), text && /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-inner-text")
  }, icon, text), /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-inner-right")
  })))));
});
Divider.displayName = 'Divider';
export default Divider;