/// <reference types="react" />
export interface EmptyActionItem {
    /**
     * @description 按钮的类型
     * @default 'primary'
     */
    type?: 'primary' | 'secondary';
    /**
     * @description 可以自定义按钮行动点，用于不需要按钮展示时
     * @default '-'
     */
    node?: React.ReactNode;
    /**
     * @description 按钮文字
     * @default '-'
     */
    text?: string;
    /**
     * @description action触发的事件
     * @default "() => void"
     */
    onClick: () => void;
}
declare const _default: (props: EmptyActionItem) => null;
export default _default;
