import { Form } from './Form';
import Item from './Item';
import Group from './Group';
import { Header } from './Header';
import { useWatch, useForm } from 'rc-field-form';
import { attachPropertiesToComponent } from '../_internal/attach-properties-to-component';
export default attachPropertiesToComponent(Form, {
  Item: Item,
  Group: Group,
  Header: Header,
  useForm: useForm,
  useWatch: useWatch
});