import React from 'react';
import classnames from 'classnames';
import { dtMobileListPrefix } from '../style/index';
import { withNativeProps } from '../_internal/native-props';
import './style/index';
var prefixCls = dtMobileListPrefix;
export var List = function List(props) {
  var _a;
  var children = props.children,
    className = props.className,
    renderHeader = props.renderHeader,
    renderFooter = props.renderFooter,
    mode = props.mode;
  var wrapCls = classnames(prefixCls, className, (_a = {}, _a["".concat(dtMobileListPrefix, "-card")] = mode === 'card', _a));
  return withNativeProps(props, /*#__PURE__*/React.createElement("div", {
    className: wrapCls
  }, renderHeader ? (/*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-header")
  }, typeof renderHeader === 'function' ? renderHeader() : renderHeader)) : null, children ? /*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-body")
  }, children) : null, renderFooter ? (/*#__PURE__*/React.createElement("div", {
    className: "".concat(prefixCls, "-footer")
  }, typeof renderFooter === 'function' ? renderFooter() : renderFooter)) : null));
};
List.displayName = 'List';