import React from 'react';
import classnames from 'classnames';
import { withNativeProps } from '../_internal/native-props';
import { dtMobilePrefix } from '../style/index';
import { mergeProps } from '../_internal/with-default-props';
import './style/index';
;
var defaultProps = {
  color: 'light',
  onClick: function onClick(index) {}
};
export var dtMobilePageIndicatorPrefix = "".concat(dtMobilePrefix, "-page-indicator");
var PageIndicator = /*#__PURE__*/React.memo(function (p) {
  var props = mergeProps(defaultProps, p);
  var dots = [];
  var _loop_1 = function _loop_1(i) {
    var _a;
    dots.push(/*#__PURE__*/React.createElement("div", {
      key: i,
      className: classnames("".concat(dtMobilePageIndicatorPrefix, "-dot"), (_a = {}, _a["".concat(dtMobilePageIndicatorPrefix, "-dot-active")] = props.current === i, _a)),
      onClick: function onClick() {
        return props.onClick(i);
      }
    }));
  };
  for (var i = 0; i < props.total; i++) {
    _loop_1(i);
  }
  return withNativeProps(props, /*#__PURE__*/React.createElement("div", {
    className: classnames(dtMobilePageIndicatorPrefix, "".concat(dtMobilePageIndicatorPrefix, "-").concat(props.color))
  }, dots));
});
PageIndicator.displayName = 'PageIndicator';
export default PageIndicator;