import * as React from 'react';
import { MarqueeProps } from './Marquee';
import { NoticeBarPropsType } from './PropsType';
export interface NoticeWebProps extends NoticeBarPropsType {
    marqueeProps?: MarqueeProps;
    className?: string;
    prefixCls?: string;
    style?: React.CSSProperties;
}
export default class NoticeBar extends React.Component<React.PropsWithChildren<NoticeWebProps>, any> {
    static defaultProps: {
        prefixCls: string;
        mode: string;
        icon: React.JSX.Element;
        onClick(): void;
    };
    constructor(props: NoticeWebProps);
    onClick: (event: React.MouseEvent<HTMLDivElement, MouseEvent>) => void;
    onClose: (event: React.MouseEvent<HTMLDivElement, MouseEvent>) => void;
    render(): React.JSX.Element | null;
}
