var __extends = this && this.__extends || function () {
  var _extendStatics = function extendStatics(d, b) {
    _extendStatics = Object.setPrototypeOf || {
      __proto__: []
    } instanceof Array && function (d, b) {
      d.__proto__ = b;
    } || function (d, b) {
      for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p];
    };
    return _extendStatics(d, b);
  };
  return function (d, b) {
    if (typeof b !== "function" && b !== null) throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
    _extendStatics(d, b);
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
}();
var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];
      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }
    return t;
  };
  return __assign.apply(this, arguments);
};
var __rest = this && this.__rest || function (s, e) {
  var t = {};
  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};
import React from 'react';
import { getPxStyle, getTransformPropValue } from './util';
var TabPane = /** @class */function (_super) {
  __extends(TabPane, _super);
  function TabPane() {
    var _this = _super !== null && _super.apply(this, arguments) || this;
    _this.offsetX = 0;
    _this.offsetY = 0;
    _this.setLayout = function (div) {
      div && (_this.layout = div);
    };
    return _this;
  }
  TabPane.prototype.componentWillReceiveProps = function (nextProps) {
    if (this.props.active !== nextProps.active) {
      if (nextProps.active) {
        this.offsetX = 0;
        this.offsetY = 0;
      } else {
        this.offsetX = this.layout.scrollLeft;
        this.offsetY = this.layout.scrollTop;
      }
    }
  };
  TabPane.prototype.render = function () {
    var _a = this.props,
      active = _a.active,
      fixX = _a.fixX,
      fixY = _a.fixY,
      props = __rest(_a, ["active", "fixX", "fixY"]);
    var style = __assign(__assign({}, fixX && this.offsetX ? getTransformPropValue(getPxStyle(-this.offsetX, 'px', false)) : {}), fixY && this.offsetY ? getTransformPropValue(getPxStyle(-this.offsetY, 'px', true)) : {});
    return /*#__PURE__*/React.createElement("div", __assign({}, props, {
      style: style,
      ref: this.setLayout
    }), props.children);
  };
  TabPane.defaultProps = {
    fixX: true,
    fixY: true
  };
  return TabPane;
}(React.PureComponent);
export { TabPane };