import React from 'react';
import './style/index';
import { IBaseProps } from 'dingtalk-design-shared';
export interface ISegmentedControlProps extends IBaseProps {
    /**
     * @description 是否禁用
     * @default false
     */
    disabled?: boolean;
    /**
     * 默认选中项在数组中的索引
     */
    defaultActiveIndex?: number;
    /**
     * 选中项在数组中的索引
     */
    activeIndex?: number;
    /**
     * 选项数组,值是字符串
     */
    texts?: string[] | React.ReactNode[];
    /**
     *
     */
    onChange?: (index: number) => void;
}
declare const SegmentedControl: React.FC<ISegmentedControlProps>;
export default SegmentedControl;
