var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];
      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }
    return t;
  };
  return __assign.apply(this, arguments);
};
import React from 'react';
import classnames from 'classnames';
import { dtSkeletonPrefix } from '../style/index';
import './style/index';
var Skeleton = /*#__PURE__*/React.memo(function (props) {
  var _a;
  var style = __assign({
    width: props.width,
    height: props.height
  }, props.style);
  return /*#__PURE__*/React.createElement("div", {
    style: style,
    className: classnames(dtSkeletonPrefix, (_a = {}, _a["".concat(dtSkeletonPrefix, "-animated")] = props.animated, _a), "".concat(dtSkeletonPrefix, "-").concat(props.type || 'text'), props.className)
  });
});
Skeleton.defaultProps = {
  type: 'text'
};
Skeleton.displayName = 'Skeleton';
export default Skeleton;