import React from 'react';
import classNames from 'classnames';
import { dtSliderPrefix } from './index';
export var Ticks = function Ticks(_a) {
  var points = _a.points,
    max = _a.max,
    min = _a.min,
    upperBound = _a.upperBound,
    lowerBound = _a.lowerBound;
  var range = max - min;
  var elements = points.map(function (point) {
    var _a;
    var offset = "".concat(Math.abs(point - min) / range * 100, "%");
    var isActived = point <= upperBound && point >= lowerBound;
    var style = {
      left: offset
    };
    var pointClassName = classNames((_a = {}, _a["".concat(dtSliderPrefix, "-tick")] = true, _a["".concat(dtSliderPrefix, "-tick-active")] = isActived, _a));
    return /*#__PURE__*/React.createElement("span", {
      className: pointClassName,
      style: style,
      key: point
    });
  });
  return /*#__PURE__*/React.createElement("div", {
    className: "".concat(dtSliderPrefix, "-ticks")
  }, elements);
};