var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];
      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }
    return t;
  };
  return __assign.apply(this, arguments);
};
import classnames from 'classnames';
import { dtSwipeActionPrefix } from '../style/index';
function withActionClassName(className, type) {
  var _a;
  return classnames("".concat(dtSwipeActionPrefix, "-action"), (_a = {}, _a["".concat(dtSwipeActionPrefix, "-action-").concat(type)] = !!type, _a), className);
}
export default (function (actions) {
  return (actions || []).map(function (item) {
    return __assign(__assign({}, item), {
      className: withActionClassName(item.className, item.type)
    });
  });
});