import React from 'react';
import { TabContextProps } from './types';
export declare const TabContext: React.Context<TabContextProps>;
declare const _default: React.ForwardRefExoticComponent<{
    activeKey?: string | number | undefined;
    defaultActiveKey?: string | number | undefined;
    fullWidth?: boolean | undefined;
    tabs?: import("./types").TabItemProps[] | undefined;
    size?: "small" | "medium" | "large" | undefined;
    tabBarExtraContent?: React.ReactNode;
    className?: string | undefined;
    transparent?: boolean | undefined;
    sticky?: boolean | undefined;
    onChange?: ((key: string | number) => void) | undefined;
    onTabClick?: ((key: string | number) => void) | undefined;
    children?: React.ReactNode;
    hideBottomDivider?: boolean | undefined;
    canExpand?: boolean | undefined;
} & import("../_internal/native-props").NativeProps<"--tab-block-background" | "--tab-block-background-hover" | "--tab-block-background-active" | "--tab-item-color-active"> & React.RefAttributes<any>>;
export default _default;
