var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];
      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }
    return t;
  };
  return __assign.apply(this, arguments);
};
var __awaiter = this && this.__awaiter || function (thisArg, _arguments, P, generator) {
  function adopt(value) {
    return value instanceof P ? value : new P(function (resolve) {
      resolve(value);
    });
  }
  return new (P || (P = Promise))(function (resolve, reject) {
    function fulfilled(value) {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    }
    function rejected(value) {
      try {
        step(generator["throw"](value));
      } catch (e) {
        reject(e);
      }
    }
    function step(result) {
      result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
    }
    step((generator = generator.apply(thisArg, _arguments || [])).next());
  });
};
var __generator = this && this.__generator || function (thisArg, body) {
  var _ = {
      label: 0,
      sent: function sent() {
        if (t[0] & 1) throw t[1];
        return t[1];
      },
      trys: [],
      ops: []
    },
    f,
    y,
    t,
    g;
  return g = {
    next: verb(0),
    "throw": verb(1),
    "return": verb(2)
  }, typeof Symbol === "function" && (g[Symbol.iterator] = function () {
    return this;
  }), g;
  function verb(n) {
    return function (v) {
      return step([n, v]);
    };
  }
  function step(op) {
    if (f) throw new TypeError("Generator is already executing.");
    while (g && (g = 0, op[0] && (_ = 0)), _) try {
      if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
      if (y = 0, t) op = [op[0] & 2, t.value];
      switch (op[0]) {
        case 0:
        case 1:
          t = op;
          break;
        case 4:
          _.label++;
          return {
            value: op[1],
            done: false
          };
        case 5:
          _.label++;
          y = op[1];
          op = [0];
          continue;
        case 7:
          op = _.ops.pop();
          _.trys.pop();
          continue;
        default:
          if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
            _ = 0;
            continue;
          }
          if (op[0] === 3 && (!t || op[1] > t[0] && op[1] < t[3])) {
            _.label = op[1];
            break;
          }
          if (op[0] === 6 && _.label < t[1]) {
            _.label = t[1];
            t = op;
            break;
          }
          if (t && _.label < t[2]) {
            _.label = t[2];
            _.ops.push(op);
            break;
          }
          if (t[2]) _.ops.pop();
          _.trys.pop();
          continue;
      }
      op = body.call(thisArg, _);
    } catch (e) {
      op = [6, e];
      y = 0;
    } finally {
      f = t = 0;
    }
    if (op[0] & 5) throw op[1];
    return {
      value: op[0] ? op[1] : void 0,
      done: true
    };
  }
};
var __rest = this && this.__rest || function (s, e) {
  var t = {};
  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};
var __read = this && this.__read || function (o, n) {
  var m = typeof Symbol === "function" && o[Symbol.iterator];
  if (!m) return o;
  var i = m.call(o),
    r,
    ar = [],
    e;
  try {
    while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
  } catch (error) {
    e = {
      error: error
    };
  } finally {
    try {
      if (r && !r.done && (m = i["return"])) m.call(i);
    } finally {
      if (e) throw e.error;
    }
  }
  return ar;
};
// @ts-nocheck
import classNames from 'classnames';
import React, { createContext, forwardRef, useEffect, useRef, useState, cloneElement } from 'react';
import { getBoundingRect, getScrollLeft } from '../_internal/element';
import { useGuid } from '../_internal/hooks';
import TabItem from './item';
import MoreOutlined from 'dd-icons/lib/MoreOutlined';
import { useMobile } from '../hooks';
import Picker from '../picker';
export var TabContext = /*#__PURE__*/createContext({
  activeKey: -1,
  fullWidth: true,
  change: function change() {}
});
// get initialized activekey
var getInitActiveKey = function getInitActiveKey(props) {
  if ('activeKey' in props && props.activeKey) {
    return props.activeKey;
  } else if (props.defaultActiveKey || props.defaultActiveKey === 0) {
    return props.defaultActiveKey;
  } else {
    if (props.tabs && props.tabs[0]) {
      return props.tabs[0].itemKey || props.tabs[0].key || 0;
    } else if (props.children && Array.isArray(props.children) && props.children[0]) {
      return props.children[0].key || 0;
    }
    return undefined;
  }
};
var timerMap = {};
var prefix = 'dtm-';
var Tab = function Tab(props, ref) {
  var _a, _b, _c, _d, _e, _f;
  var isMobile = useMobile();
  var activeKey = props.activeKey,
    _g = props.defaultActiveKey,
    defaultActiveKey = _g === void 0 ? -1 : _g,
    _h = props.size,
    size = _h === void 0 ? 'medium' : _h,
    _j = props.fullWidth,
    fullWidth = _j === void 0 ? isMobile ? true : false : _j,
    _k = props.onChange,
    onChange = _k === void 0 ? function () {} : _k,
    _l = props.onTabClick,
    onTabClick = _l === void 0 ? function () {} : _l,
    _m = props.tabs,
    tabs = _m === void 0 ? [] : _m,
    className = props.className,
    children = props.children,
    tabBarExtraContent = props.tabBarExtraContent,
    transparent = props.transparent,
    _o = props.sticky,
    sticky = _o === void 0 ? false : _o,
    _p = props.canExpand,
    canExpand = _p === void 0 ? false : _p,
    _q = props.hideBottomDivider,
    hideBottomDivider = _q === void 0 ? false : _q,
    others = __rest(props, ["activeKey", "defaultActiveKey", "size", "fullWidth", "onChange", "onTabClick", "tabs", "className", "children", "tabBarExtraContent", "transparent", "sticky", "canExpand", "hideBottomDivider"]);
  var _r = __read(useState(getInitActiveKey(props)), 2),
    curActiveKey = _r[0],
    setActiveKey = _r[1];
  var curTabScrollId = useGuid('tab-scroll-');
  var curScrollContainerId = useGuid('tab-ctn-');
  var scrollRef = useRef();
  var activeTabRef = useRef();
  var isControlled = 'activeKey' in props && props.activeKey;
  var clsPrefix = "".concat(prefix, "tab");
  var clses = {
    wrap: classNames(className),
    tab: classNames([clsPrefix, (_a = {}, _a["".concat(clsPrefix, "-transparent")] = transparent, _a["".concat(clsPrefix, "-sticky")] = sticky, _a["".concat(clsPrefix, "-desktop")] = !isMobile, _a)]),
    divider: classNames((_b = {}, _b["".concat(clsPrefix, "-divider")] = true, _b)),
    container: classNames("".concat(clsPrefix, "-container"), {
      // [`${clsPrefix}-container--wechat`]: isStrictWechatMiniProgram,
    }),
    scrollContainer: classNames("".concat(clsPrefix, "-scroll-container"), (_c = {}, _c["".concat(clsPrefix, "-scroll-container--fullwidth")] = fullWidth, _c["".concat(clsPrefix, "-scroll-container--scroll")] = !fullWidth, _c)),
    tool: classNames("".concat(clsPrefix, "-tool"), "".concat(clsPrefix, "-tool--").concat(size)),
    toolIcon: classNames("".concat(clsPrefix, "-tool-icon"), "".concat(clsPrefix, "-tool-icon--").concat(size)),
    drawer: classNames("".concat(clsPrefix, "-drawer")),
    extraWrap: classNames("".concat(clsPrefix, "-extra-wrap"), (_d = {}, _d["".concat(clsPrefix, "-extra-wrap--small")] = size === 'small', _d))
  };
  var scrollTo = function scrollTo(offset) {
    if (!timerMap[curTabScrollId]) {
      timerMap[curTabScrollId] = setTimeout(function () {
        if (scrollRef && scrollRef.current && scrollRef.current.scrollTo) {
          scrollRef.current.scrollTo({
            left: offset.x,
            top: offset.y,
            behavior: 'smooth'
          });
          timerMap[curTabScrollId] = null;
        }
      }, 200);
    }
  };
  useEffect(function () {
    // reset curActiveKey if new activeKey is invalid
    if (isControlled && curActiveKey && !props.activeKey) {
      setActiveKey(getInitActiveKey(props));
      return;
    }
    if (isControlled) {
      setActiveKey(props.activeKey);
    }
  });
  // relocate
  useEffect(function () {
    setTimeout(function () {
      return __awaiter(void 0, void 0, void 0, function () {
        var activeTabId, _a, containerWidth, containerOffsetLeft, _b, activeTabWidth, activeTabRight, activeTabOffsetLeft, scrollLeft, leftMarkerPos, rightMarkerPos, isPrefixNotOverflow, isSuffixNotOverflow, isInVisibleView, distance;
        return __generator(this, function (_c) {
          switch (_c.label) {
            case 0:
              activeTabId = activeTabRef.current && activeTabRef.current.id;
              if (!(activeTabId && !fullWidth)) return [3 /*break*/, 4];
              if (!(activeTabId && !fullWidth)) return [3 /*break*/, 4];
              return [4 /*yield*/, getBoundingRect(curTabScrollId)];
            case 1:
              _a = _c.sent(), containerWidth = _a.width, containerOffsetLeft = _a.left;
              return [4 /*yield*/, getBoundingRect(activeTabId)];
            case 2:
              _b = _c.sent(), activeTabWidth = _b.width, activeTabRight = _b.left;
              activeTabOffsetLeft = activeTabRight - containerOffsetLeft;
              return [4 /*yield*/, getScrollLeft(curTabScrollId)];
            case 3:
              scrollLeft = _c.sent();
              leftMarkerPos = containerWidth / 3;
              rightMarkerPos = containerWidth * 2 / 3;
              if (scrollRef.current && activeTabRef.current) {
                isPrefixNotOverflow = leftMarkerPos < activeTabOffsetLeft && activeTabOffsetLeft < rightMarkerPos;
                isSuffixNotOverflow = leftMarkerPos < activeTabOffsetLeft + activeTabWidth && activeTabOffsetLeft + activeTabWidth < rightMarkerPos;
                isInVisibleView = isPrefixNotOverflow && isSuffixNotOverflow;
                if (!isInVisibleView) {
                  distance = 0;
                  if (!isPrefixNotOverflow) {
                    distance = scrollLeft - (leftMarkerPos - activeTabOffsetLeft);
                  } else {
                    distance = scrollLeft + 1 / 2 * containerWidth;
                  }
                  scrollTo({
                    x: Math.max(distance, 0),
                    y: 0
                  });
                }
              }
              _c.label = 4;
            case 4:
              return [2 /*return*/];
          }
        });
      });
    }, 50);
  });
  var content;
  if (tabs && tabs.length > 0) {
    content = tabs.map(function (item, index) {
      // 默认设置对应的 key
      var tabItemKey = item.itemKey || item.key || index;
      return /*#__PURE__*/React.createElement(TabItem, __assign({
        key: tabItemKey,
        itemKey: tabItemKey,
        ref: tabItemKey === curActiveKey ? activeTabRef : null,
        size: size
      }, item));
    });
  } else {
    if (Array.isArray(children)) {
      content = children.map(function (child, index) {
        var tabItemKey = child.itemKey || child.key || index;
        return /*#__PURE__*/cloneElement(child, {
          key: "mt_tab_".concat(index),
          itemKey: tabItemKey,
          ref: "".concat(tabItemKey) === "".concat(curActiveKey) ? activeTabRef : null,
          renderContent: child.renderContent,
          prefix: prefix,
          size: size
        });
      });
    }
  }
  // handle tab change
  var handleChange = function handleChange(v) {
    if (!isControlled && v !== curActiveKey) {
      setActiveKey(v);
    }
    onTabClick(v);
    if (v !== curActiveKey) {
      onChange(v);
    }
  };
  var getChildren = function getChildren(activeTabKey) {
    var ret = null;
    var innerChildren = children;
    if (/*#__PURE__*/React.isValidElement(children) && children.type === React.Fragment) {
      innerChildren = children.props.children;
    }
    if (Array.isArray(innerChildren)) {
      innerChildren.forEach(function (child) {
        if (ret) {
          return;
        }
        var _key = child.key;
        if ("".concat(_key) === "".concat(activeTabKey)) {
          ret = child;
        }
      });
      // 如果 key 未匹配，使用 tabs 数据里的 key 或者 Index 索引进行匹配
      if (!ret) {
        innerChildren.forEach(function (child, index) {
          if (ret) {
            return;
          }
          var _key = tabs && tabs[index] && (tabs[index].itemKey || tabs[index].key) || index;
          if ("".concat(_key) === "".concat(activeTabKey)) {
            ret = child;
          }
        });
      }
    }
    return ret;
  };
  return /*#__PURE__*/React.createElement(TabContext.Provider, {
    value: {
      activeKey: curActiveKey,
      change: handleChange,
      fullWidth: fullWidth
    }
  }, /*#__PURE__*/React.createElement("div", {
    className: clses.wrap
  }, /*#__PURE__*/React.createElement("div", __assign({}, others, {
    className: clses.tab,
    ref: ref
  }), /*#__PURE__*/React.createElement("div", {
    id: curTabScrollId,
    className: clses.container,
    ref: scrollRef
  }, /*#__PURE__*/React.createElement("div", {
    id: curScrollContainerId,
    className: clses.scrollContainer
  }, content), !isMobile && canExpand && (/*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: classNames("".concat(prefix, "tab-expand-btn-blur"), (_e = {}, _e["".concat(prefix, "tab-expand-btn-blur-desktop")] = !isMobile, _e))
  }), /*#__PURE__*/React.createElement(Picker, {
    data: [tabs.map(function (item) {
      return {
        label: item.title,
        value: item.key
      };
    })],
    onChange: function onChange(v) {
      setActiveKey(v[0]);
    },
    cascade: false
  }, /*#__PURE__*/React.createElement("div", {
    className: classNames("".concat(prefix, "tab-expand-btn"), (_f = {}, _f["".concat(prefix, "tab-expand-btn-desktop")] = !isMobile, _f))
  }, /*#__PURE__*/React.createElement(MoreOutlined, null)))))), tabBarExtraContent && /*#__PURE__*/React.createElement("div", {
    className: clses.extraWrap
  }, tabBarExtraContent), !hideBottomDivider && /*#__PURE__*/React.createElement("div", {
    className: clses.divider
  })), /*#__PURE__*/React.createElement("div", {
    className: "".concat(clsPrefix, "-content")
  }, getChildren(curActiveKey))));
};
Tab.displayName = 'Tab';
export default /*#__PURE__*/forwardRef(Tab);