import classnames from 'classnames';
import React from 'react';
import { prefix } from './Tag';
/**
 * 与 small tag 组合使用，解决缩放间隔问题
 * @param props
 * @returns
 */
var SmallGroup = function SmallGroup(props) {
  var cls = classnames("".concat(prefix, "-small-group"), props.className);
  return /*#__PURE__*/React.createElement("div", {
    className: cls
  }, props.children);
};
export default SmallGroup;