import { notice } from './notice';
import { clear } from './methods';
import 'regenerator-runtime/runtime.js';
export var API = {
  show: function show(_a) {
    var content = _a.content,
      duration = _a.duration,
      mask = _a.mask,
      position = _a.position,
      showType = _a.showType,
      maskClickable = _a.maskClickable,
      adapt = _a.adapt,
      getContainer = _a.getContainer;
    return notice(content, '', duration, function () {}, mask, position, showType, null, maskClickable, adapt, getContainer);
  },
  info: function info(_a) {
    var content = _a.content,
      duration = _a.duration,
      onClose = _a.onClose,
      mask = _a.mask,
      position = _a.position,
      showType = _a.showType,
      maskClickable = _a.maskClickable,
      adapt = _a.adapt,
      getContainer = _a.getContainer;
    return notice(content, 'info', duration, onClose, mask, position, showType, null, maskClickable, adapt, getContainer);
  },
  success: function success(_a) {
    var content = _a.content,
      duration = _a.duration,
      onClose = _a.onClose,
      mask = _a.mask,
      position = _a.position,
      showType = _a.showType,
      maskClickable = _a.maskClickable,
      adapt = _a.adapt,
      getContainer = _a.getContainer;
    return notice(content, 'success', duration, onClose, mask, position, showType, null, maskClickable, adapt, getContainer);
  },
  fail: function fail(_a) {
    var content = _a.content,
      duration = _a.duration,
      onClose = _a.onClose,
      mask = _a.mask,
      position = _a.position,
      showType = _a.showType,
      maskClickable = _a.maskClickable,
      adapt = _a.adapt,
      getContainer = _a.getContainer;
    return notice(content, 'fail', duration, onClose, mask, position, showType, null, maskClickable, adapt, getContainer);
  },
  loading: function loading(_a) {
    var content = _a.content,
      duration = _a.duration,
      onClose = _a.onClose,
      mask = _a.mask,
      position = _a.position,
      showType = _a.showType,
      maskClickable = _a.maskClickable,
      adapt = _a.adapt,
      getContainer = _a.getContainer;
    return notice(content, 'loading', duration, onClose, mask, position, showType, null, maskClickable, adapt);
  },
  config: function config(_a) {
    var content = _a.content,
      duration = _a.duration,
      onClose = _a.onClose,
      mask = _a.mask,
      position = _a.position,
      icon = _a.icon,
      showType = _a.showType,
      maskClickable = _a.maskClickable,
      adapt = _a.adapt,
      getContainer = _a.getContainer;
    return notice(content, 'config', duration, onClose, mask, position, showType, icon, maskClickable, adapt, getContainer);
  },
  hide: function hide() {
    clear();
  }
};