import * as React from 'react';
import { ItemRender, UploadFile, UploadListType } from './interface';
export interface ListItemProps {
    prefixCls: string;
    className?: string;
    style?: React.CSSProperties;
    file: UploadFile;
    items: UploadFile[];
    listType?: UploadListType;
    isImgUrl?: (file: UploadFile) => boolean;
    showRemoveIcon?: boolean;
    showPreviewIcon?: boolean;
    previewContent?: string | React.ReactNode;
    iconRender: (file: UploadFile) => React.ReactNode;
    itemRender?: ItemRender;
    onPreview: (file: UploadFile, e: React.SyntheticEvent<Element>) => void;
    onClose: (file: UploadFile) => void;
    extraRender: (file: UploadFile) => React.ReactNode;
    uploadErrorLabel?: string;
}
declare const ListItem: React.ForwardRefExoticComponent<ListItemProps & React.RefAttributes<HTMLDivElement>>;
export default ListItem;
