var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];
      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }
    return t;
  };
  return __assign.apply(this, arguments);
};
var __rest = this && this.__rest || function (s, e) {
  var t = {};
  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};
import classnames from 'classnames';
import * as React from 'react';
import { dtWingBlankPrefix } from '../style/index';
import './style/index';
/**
 * 两翼留白
 */
var WingBlank = /*#__PURE__*/React.memo(function (props) {
  var size = props.size,
    className = props.className,
    children = props.children,
    otherProps = __rest(props, ["size", "className", "children"]);
  var wrapCls = classnames(dtWingBlankPrefix, "".concat(dtWingBlankPrefix, "-").concat(size), className);
  return /*#__PURE__*/React.createElement("div", __assign({
    className: wrapCls
  }, otherProps), children);
});
WingBlank.defaultProps = {
  size: 'md'
};
WingBlank.displayName = 'WingBlank';
export default WingBlank;