"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var React = _interopRequireWildcard(require("react"));
require("./DemoBlock.css");
var _classnames = _interopRequireDefault(require("classnames"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var DemoBlock = function DemoBlock(props) {
  var _a = props.isWingBlank,
    isWingBlank = _a === void 0 ? true : _a,
    _b = props.hideBorder,
    hideBorder = _b === void 0 ? true : _b,
    _c = props.isUpDownBlank,
    isUpDownBlank = _c === void 0 ? true : _c;
  var className = (0, _classnames["default"])('dd-demo-block', props.className);
  return /*#__PURE__*/React.createElement("div", {
    className: className
  }, /*#__PURE__*/React.createElement("div", {
    className: (0, _classnames["default"])('dd-demo-block-title', {
      'dd-demo-block-title-no-border': props.hideBorder
    })
  }, props.title), /*#__PURE__*/React.createElement("div", {
    className: (0, _classnames["default"])('dd-demo-block-content', {
      'dd-demo-block-wing-blank': isWingBlank
    }, {
      'dd-demo-block-no-border': hideBorder
    }, {
      'dd-demo-block-up-down-blank': isUpDownBlank
    })
  }, props.children));
};
DemoBlock.displayName = 'DemoBlock';
var _default = exports["default"] = DemoBlock;