"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = deprecated;
var deprecatedMessages = [];
function deprecated(msg, thing) {
  /* istanbul ignore next */
  if (process.env.NODE_ENV === 'production') return false;
  if (thing) {
    return deprecated("'".concat(msg, "', use '").concat(thing, "' instead."));
  }
  if (deprecatedMessages.indexOf(msg) !== -1) return false;
  deprecatedMessages.push(msg);
  console.error("[dingtalk-design-mobile] Deprecated: ".concat(msg));
  return true;
}