"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mergeLocale = mergeLocale;
var _typeof2 = _interopRequireDefault(require("@babel/runtime/helpers/typeof"));
function mergeLocale(base, patch) {
  function merge(a, b) {
    if ((0, _typeof2["default"])(a) !== 'object' || (0, _typeof2["default"])(b) !== 'object' || Array.isArray(a) || Array.isArray(b)) {
      return b !== undefined ? b : a;
    }
    var result = {};
    for (var key in a) {
      if (a.hasOwnProperty(key)) {
        result[key] = merge(a[key], b[key]);
      }
    }
    return result;
  }
  return merge(base, patch);
}