"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useRefState = useRefState;
var _react = require("react");
var __read = void 0 && (void 0).__read || function (o, n) {
  var m = typeof Symbol === "function" && o[Symbol.iterator];
  if (!m) return o;
  var i = m.call(o),
    r,
    ar = [],
    e;
  try {
    while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
  } catch (error) {
    e = {
      error: error
    };
  } finally {
    try {
      if (r && !r.done && (m = i["return"])) m.call(i);
    } finally {
      if (e) throw e.error;
    }
  }
  return ar;
};
function useRefState(initialState) {
  var _a = __read((0, _react.useState)(initialState), 2),
    state = _a[0],
    setState = _a[1];
  var ref = (0, _react.useRef)(state);
  (0, _react.useLayoutEffect)(function () {
    ref.current = state;
  }, [state]);
  return [state, setState, ref];
}