"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _popover = _interopRequireDefault(require("../popover"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var __read = void 0 && (void 0).__read || function (o, n) {
  var m = typeof Symbol === "function" && o[Symbol.iterator];
  if (!m) return o;
  var i = m.call(o),
    r,
    ar = [],
    e;
  try {
    while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
  } catch (error) {
    e = {
      error: error
    };
  } finally {
    try {
      if (r && !r.done && (m = i["return"])) m.call(i);
    } finally {
      if (e) throw e.error;
    }
  }
  return ar;
};
var prefixCls = 'dtm-action-sheet';
var PcActionSheet = function PcActionSheet(props) {
  var options = props.options,
    callback = props.callback,
    children = props.children;
  var _a = __read(_react["default"].useState(false), 2),
    visible = _a[0],
    setVisible = _a[1];
  var _b = __read(_react["default"].useState(-1), 2),
    selectIdx = _b[0],
    setSelectIdx = _b[1];
  var renderItem = (0, _react.useCallback)(function (item, index) {
    var _a;
    var isPure = typeof item === 'string' || /*#__PURE__*/_react["default"].isValidElement(item);
    return /*#__PURE__*/_react["default"].createElement("div", {
      className: (0, _classnames["default"])(prefixCls + '-item-desktop', props.className, (_a = {}, _a[prefixCls + '-item-desktop-danger'] = !isPure && item.danger, _a[prefixCls + '-item-desktop-disabled'] = !isPure && item.disabled, _a)),
      onClick: function onClick() {
        if (!isPure && item.disabled) {
          return;
        }
        setVisible(false);
        setSelectIdx(index);
        callback({
          index: index
        });
      }
    }, isPure ? item : item.value);
  }, [callback]);
  return /*#__PURE__*/_react["default"].createElement(_popover["default"], {
    placement: 'bottomRight',
    visible: visible,
    onVisibleChange: function onVisibleChange(visible) {
      return setVisible(visible);
    },
    arrow: false,
    overlay: /*#__PURE__*/_react["default"].createElement("div", {
      className: "".concat(prefixCls, "-desktop-popover")
    }, options.items.map(function (item, index) {
      return /*#__PURE__*/_react["default"].createElement("div", {
        key: index,
        className: props.options.className
      }, renderItem(item, index));
    }))
  }, children && /*#__PURE__*/_react["default"].isValidElement(children) && /*#__PURE__*/_react["default"].cloneElement(children, {
    extra: selectIdx > -1 ? options.items[selectIdx] : null,
    onClick: function onClick() {
      var _a, _b;
      (_b = (_a = children.props).onClick) === null || _b === void 0 ? void 0 : _b.call(_a);
      setVisible(!visible);
    }
  }));
};
var _default = exports["default"] = PcActionSheet;