"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.dtAvatarPrefix = exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
require("./style/index");
var _index2 = require("../style/index");
var _classnames = _interopRequireDefault(require("classnames"));
var _nativeProps = require("../_internal/native-props");
var _withDefaultProps = require("../_internal/with-default-props");
var _avatar = _interopRequireDefault(require("./avatar"));
var dtAvatarPrefix = exports.dtAvatarPrefix = "".concat(_index2.dtMobilePrefix, "-avatar");
var defaultProps = {};
var Avatar = /*#__PURE__*/_react["default"].memo(function (p) {
  var props = (0, _withDefaultProps.mergeProps)(defaultProps, p);
  var className = props.className,
    src = props.src,
    size = props.size,
    draggable = props.draggable,
    nick = props.nick,
    crossOrigin = props.crossOrigin,
    onError = props.onError;
  var wrapCls = (0, _classnames["default"])(dtAvatarPrefix, className);
  return (0, _nativeProps.withNativeProps)(props, /*#__PURE__*/_react["default"].createElement(_avatar["default"], {
    prefixCls: dtAvatarPrefix,
    className: wrapCls,
    size: size,
    src: src,
    alt: nick,
    draggable: draggable,
    crossOrigin: crossOrigin,
    onError: onError
  }));
});
Avatar.displayName = 'Avatar';
var _default = exports["default"] = Avatar;