import * as React from 'react';
import { CheckboxGroupPropsType } from './PropsType';
export type CheckboxValueType = string | number | boolean;
export interface CheckboxGroupContext {
    name?: string;
    value?: CheckboxValueType;
    disabled?: boolean;
    checkedValues?: CheckboxValueType[];
    onChange?: (v: CheckboxValueType, selected: boolean) => void;
}
export declare const GroupContext: React.Context<CheckboxGroupContext | null>;
declare const _default: React.FC<React.PropsWithChildren<CheckboxGroupPropsType<any>>>;
export default _default;
