export default function useControlled<T = any>(_value: T | undefined, _defaultValue: T, _onChange?: (v: T) => void): {
    value: any;
    onChange: (v: T) => void;
};
export declare function useControlledByValue<T = any>(props: {
    defaultValue?: T;
    value?: T;
    onChange?: (v: T) => void;
}): {
    value: any;
    onChange: (v: T) => void;
};
export declare function useControlledByChecked<T = any>(props: {
    defaultChecked?: T;
    checked?: T;
    onChange?: (v: T) => void;
}): {
    checked: any;
    onChange: (v: T) => void;
};
