import React from 'react';
import { NativeProps } from '../_internal/native-props';
export declare const dtMobileIndexBarPrefix: string;
export type IndexBarAnchorProps = {
    /**
     * @description: 面板的索引标识（不可以重复）
     */
    index: string;
    /**
     * @description 面板的分组标题
     */
    title?: string;
} & NativeProps;
export declare const Panel: React.FC<React.PropsWithChildren<IndexBarAnchorProps>>;
