"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _index = require("../style/index");
var _CloseOutlined = _interopRequireDefault(require("dingtalk-design-icons/lib/CloseOutlined"));
require("./style/index");
var _hooks = require("../hooks");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var __read = void 0 && (void 0).__read || function (o, n) {
  var m = typeof Symbol === "function" && o[Symbol.iterator];
  if (!m) return o;
  var i = m.call(o),
    r,
    ar = [],
    e;
  try {
    while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
  } catch (error) {
    e = {
      error: error
    };
  } finally {
    try {
      if (r && !r.done && (m = i["return"])) m.call(i);
    } finally {
      if (e) throw e.error;
    }
  }
  return ar;
};
var InpageGuide = /*#__PURE__*/(0, _react.memo)(function (props) {
  var _a;
  var icon = props.icon,
    closable = props.closable,
    className = props.className,
    title = props.title,
    desc = props.desc,
    actionText = props.actionText,
    onActionClick = props.onActionClick,
    type = props.type,
    imgSrc = props.imgSrc;
  var isMobile = (0, _hooks.useMobile)();
  var _b = __read((0, _react.useState)(true), 2),
    show = _b[0],
    setShow = _b[1];
  var wrapPrefixCls = function wrapPrefixCls(name) {
    return "".concat(_index.dtInpageGuidePrefix, "-").concat(name);
  };
  var onClose = function onClose() {
    setShow(false);
  };
  var cls = (0, _classnames["default"])(_index.dtInpageGuidePrefix, "".concat(_index.dtInpageGuidePrefix, "-").concat(type), className, (_a = {}, _a["".concat(_index.dtInpageGuidePrefix, "-hidden")] = !show, _a["".concat(_index.dtInpageGuidePrefix, "-desktop")] = !isMobile, _a));
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: cls
  }, icon && /*#__PURE__*/_react["default"].createElement("div", {
    className: wrapPrefixCls("icon-wrap")
  }, icon), /*#__PURE__*/_react["default"].createElement("div", {
    className: wrapPrefixCls('main-content')
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: wrapPrefixCls('title')
  }, title), /*#__PURE__*/_react["default"].createElement("div", {
    className: wrapPrefixCls('desc')
  }, desc), actionText && /*#__PURE__*/_react["default"].createElement("div", {
    className: wrapPrefixCls('action'),
    onClick: onActionClick
  }, actionText)), imgSrc && /*#__PURE__*/_react["default"].createElement("div", {
    className: wrapPrefixCls('img-wrap')
  }, /*#__PURE__*/_react["default"].createElement("img", {
    src: imgSrc
  })), closable && /*#__PURE__*/_react["default"].createElement(_CloseOutlined["default"], {
    className: wrapPrefixCls('close-icon'),
    onClick: onClose
  }));
});
InpageGuide.defaultProps = {
  type: 'normal',
  closable: true
};
InpageGuide.displayName = 'InpageGuide';
var _default = exports["default"] = InpageGuide;