"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.List = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _index = require("../style/index");
var _nativeProps = require("../_internal/native-props");
require("./style/index");
var prefixCls = _index.dtMobileListPrefix;
var List = exports.List = function List(props) {
  var _a;
  var children = props.children,
    className = props.className,
    renderHeader = props.renderHeader,
    renderFooter = props.renderFooter,
    mode = props.mode;
  var wrapCls = (0, _classnames["default"])(prefixCls, className, (_a = {}, _a["".concat(_index.dtMobileListPrefix, "-card")] = mode === 'card', _a));
  return (0, _nativeProps.withNativeProps)(props, /*#__PURE__*/_react["default"].createElement("div", {
    className: wrapCls
  }, renderHeader ? (/*#__PURE__*/_react["default"].createElement("div", {
    className: "".concat(prefixCls, "-header")
  }, typeof renderHeader === 'function' ? renderHeader() : renderHeader)) : null, children ? /*#__PURE__*/_react["default"].createElement("div", {
    className: "".concat(prefixCls, "-body")
  }, children) : null, renderFooter ? (/*#__PURE__*/_react["default"].createElement("div", {
    className: "".concat(prefixCls, "-footer")
  }, typeof renderFooter === 'function' ? renderFooter() : renderFooter)) : null));
};
List.displayName = 'List';