"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.dtMobilePageIndicatorPrefix = exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _nativeProps = require("../_internal/native-props");
var _index = require("../style/index");
var _withDefaultProps = require("../_internal/with-default-props");
require("./style/index");
;
var defaultProps = {
  color: 'light',
  onClick: function onClick(index) {}
};
var dtMobilePageIndicatorPrefix = exports.dtMobilePageIndicatorPrefix = "".concat(_index.dtMobilePrefix, "-page-indicator");
var PageIndicator = /*#__PURE__*/_react["default"].memo(function (p) {
  var props = (0, _withDefaultProps.mergeProps)(defaultProps, p);
  var dots = [];
  var _loop_1 = function _loop_1(i) {
    var _a;
    dots.push(/*#__PURE__*/_react["default"].createElement("div", {
      key: i,
      className: (0, _classnames["default"])("".concat(dtMobilePageIndicatorPrefix, "-dot"), (_a = {}, _a["".concat(dtMobilePageIndicatorPrefix, "-dot-active")] = props.current === i, _a)),
      onClick: function onClick() {
        return props.onClick(i);
      }
    }));
  };
  for (var i = 0; i < props.total; i++) {
    _loop_1(i);
  }
  return (0, _nativeProps.withNativeProps)(props, /*#__PURE__*/_react["default"].createElement("div", {
    className: (0, _classnames["default"])(dtMobilePageIndicatorPrefix, "".concat(dtMobilePageIndicatorPrefix, "-").concat(props.color))
  }, dots));
});
PageIndicator.displayName = 'PageIndicator';
var _default = exports["default"] = PageIndicator;