import React from 'react';
import { NativeProps } from '../_internal/native-props';
export type RateProps = {
    allowClear?: boolean;
    allowHalf?: boolean;
    character?: React.ReactNode;
    count?: number;
    defaultValue?: number;
    readOnly?: boolean;
    warningDesc?: string;
    value?: number;
    onChange?: (value: number) => void;
    className?: string;
    style?: React.CSSProperties;
    labels?: string[];
    showLabel?: boolean;
} & NativeProps<'--star-size' | '--active-color'>;
export declare const Rate: React.FunctionComponent<RateProps>;
