"use strict";

var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var React = _interopRequireWildcard(require("react"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
// 用于像 NumericInput 这类，在键盘上输入的时候，不触发 input 的 blur 方法
// 同时为了键盘本身是一个封闭空间，把冒泡也禁掉

var EventInside = function EventInside(props) {
  var child = React.Children.only(props.children);
  var stopAll = function stopAll(e) {
    if (!props.allowDefault) {
      e.preventDefault();
    }
    e.stopPropagation();
  };
  // @ts-ignore
  return /*#__PURE__*/React.cloneElement(child, {
    // 移动端
    onTouchStart: stopAll,
    // pc 端
    onMouseDown: stopAll,
    onClick: stopAll,
    onContextMenu: stopAll,
    style: {
      touchAction: 'none'
    }
  });
};
EventInside.defaultProps = {
  allowDefault: false
};
var _default = exports["default"] = EventInside;