"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Space = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _nativeProps = require("../_internal/native-props");
var _index = require("../style/index");
var classPrefix = "".concat(_index.dtMobilePrefix, "-space");
var Space = exports.Space = /*#__PURE__*/_react["default"].memo(function (props) {
  var _a;
  var direction = props.direction,
    className = props.className;
  return (0, _nativeProps.withNativeProps)(props, /*#__PURE__*/_react["default"].createElement("div", {
    className: (0, _classnames["default"])(classPrefix, className, (_a = {}, _a["".concat(classPrefix, "-wrap")] = props.wrap, _a["".concat(classPrefix, "-block")] = props.block, _a["".concat(classPrefix, "-").concat(direction)] = true, _a["".concat(classPrefix, "-align-").concat(props.align)] = !!props.align, _a["".concat(classPrefix, "-justify-").concat(props.justify)] = !!props.justify, _a))
  }, _react["default"].Children.map(props.children, function (child) {
    return child !== null && child !== undefined && /*#__PURE__*/_react["default"].createElement("div", {
      className: "".concat(classPrefix, "-item")
    }, child);
  })));
});
Space.defaultProps = {
  direction: 'horizontal'
};
Space.displayName = 'Space';