import * as React from 'react';
import './style/index';
export interface IStatisticProps {
    /**
     * @description 标题
     */
    title: string | React.ReactNode;
    /**
     * @description 值
     */
    value: string | number;
    /**
     * @description 单位
     */
    unit?: string;
    /**
     * @description 对比信息
     */
    compare?: {
        title: string | React.ReactNode;
        value: string | number;
        type: 'up' | 'down';
    };
}
export declare const dtMobileStatisticsPrefix: string;
export declare const Statistic: React.FC<IStatisticProps>;
export default Statistic;
