"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.dtMobileStatisticsPrefix = exports["default"] = exports.Statistic = void 0;
var React = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ddIcons = require("dd-icons");
var _hooks = require("../hooks");
require("./style/index");
var _index2 = require("../style/index");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var dtMobileStatisticsPrefix = exports.dtMobileStatisticsPrefix = "".concat(_index2.dtMobilePrefix, "-statistics");
var Statistic = exports.Statistic = function Statistic(props) {
  var _a;
  var title = props.title,
    value = props.value,
    unit = props.unit,
    compare = props.compare;
  var isMobile = (0, _hooks.useMobile)();
  return /*#__PURE__*/React.createElement("div", {
    className: (0, _classnames["default"])(dtMobileStatisticsPrefix, (_a = {}, _a["".concat(dtMobileStatisticsPrefix, "-desktop")] = !isMobile, _a))
  }, /*#__PURE__*/React.createElement("div", {
    className: "".concat(dtMobileStatisticsPrefix, "-title")
  }, title), /*#__PURE__*/React.createElement("div", {
    className: "".concat(dtMobileStatisticsPrefix, "-measure")
  }, /*#__PURE__*/React.createElement("div", {
    className: "".concat(dtMobileStatisticsPrefix, "-measure-value")
  }, value), !!unit && /*#__PURE__*/React.createElement("div", {
    className: "".concat(dtMobileStatisticsPrefix, "-measure-unit")
  }, unit)), !!compare && (/*#__PURE__*/React.createElement("div", {
    className: "".concat(dtMobileStatisticsPrefix, "-compare")
  }, /*#__PURE__*/React.createElement("div", {
    className: "".concat(dtMobileStatisticsPrefix, "-compare-name")
  }, compare.title), /*#__PURE__*/React.createElement("div", {
    className: (0, _classnames["default"])("".concat(dtMobileStatisticsPrefix, "-compare-value"), {
      up: compare.type === 'up',
      down: compare.type === 'down'
    })
  }, compare.value), /*#__PURE__*/React.createElement("div", {
    className: (0, _classnames["default"])("".concat(dtMobileStatisticsPrefix, "-compare-icon"), {
      up: compare.type === 'up',
      down: compare.type === 'down'
    })
  }, compare.type === 'up' ? /*#__PURE__*/React.createElement(_ddIcons.UpArrow1Outlined, null) : /*#__PURE__*/React.createElement(_ddIcons.DownArrowOutlined, null)))));
};
Statistic.displayName = 'Statistic';
var _default = exports["default"] = Statistic;