import React from 'react';
import './style/index';
import type { Action, SwipeActionProps } from './interface';
import 'regenerator-runtime/runtime.js';
export type SwipeActionRef = {
    close: () => void;
    show: (side?: 'left' | 'right') => void;
};
declare const SwipeAction: React.ForwardRefExoticComponent<{
    autoClose?: boolean | undefined;
    onOpen?: ((side: "left" | "right") => void) | undefined;
    onClose?: (() => void) | undefined;
    disabled?: boolean | undefined;
    right?: Action[] | undefined;
    left?: Action[] | undefined;
    renderIcon?: ((more?: React.ReactNode) => React.ReactNode) | undefined;
    defaultMenuVisible?: boolean | undefined;
    onAction?: ((action: Action, e: React.MouseEvent<Element, MouseEvent>) => void) | undefined;
    closeOnTouchOutside?: boolean | undefined;
    children: React.ReactNode;
    stopPropagation?: "click"[] | undefined;
} & import("../_internal/native-props").NativeProps<"--background"> & React.RefAttributes<SwipeActionRef>>;
export default SwipeAction;
export type { SwipeActionProps };
