"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _react = _interopRequireDefault(require("react"));
var _Tag = require("./Tag");
/**
 * 与 small tag 组合使用，解决缩放间隔问题
 * @param props
 * @returns
 */
var SmallGroup = function SmallGroup(props) {
  var cls = (0, _classnames["default"])("".concat(_Tag.prefix, "-small-group"), props.className);
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: cls
  }, props.children);
};
var _default = exports["default"] = SmallGroup;