"use strict";

require("@testing-library/jest-dom");
var _reduceAndRestoreMotion = require("../_internal/reduce-and-restore-motion");
// import { mockGlobalStyles } from './mock-global-styles'
// mockGlobalStyles()
(0, _reduceAndRestoreMotion.reduceMotion)();
jest.mock('../_internal/convert-px', function () {
  return {
    convertPx: jest.fn(function (px) {
      return px;
    })
  };
});
// https://github.com/nickcolley/jest-axe/issues/147#issuecomment-758804533
var getComputedStyle = window.getComputedStyle;
window.getComputedStyle = function (el) {
  return getComputedStyle(el);
};
Object.defineProperty(window, 'matchMedia', {
  writable: true,
  value: jest.fn().mockImplementation(function (query) {
    return {
      matches: false,
      media: query,
      onchange: null,
      addListener: jest.fn(),
      removeListener: jest.fn(),
      addEventListener: jest.fn(),
      removeEventListener: jest.fn(),
      dispatchEvent: jest.fn()
    };
  })
});