"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _antd = _interopRequireDefault(require("./antd2"));
var _index = require("../style/index");
var _hooks = require("../hooks");
require("./style/index");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var __assign = void 0 && (void 0).__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];
      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }
    return t;
  };
  return __assign.apply(this, arguments);
};
var TextareaItem = /*#__PURE__*/_react["default"].memo(/*#__PURE__*/_react["default"].forwardRef(function (props, forwardRef) {
  var inputRef = (0, _react.useRef)();
  (0, _react.useImperativeHandle)(forwardRef, function () {
    return {
      focus: function focus() {
        var _a, _b;
        (_b = (_a = inputRef === null || inputRef === void 0 ? void 0 : inputRef.current) === null || _a === void 0 ? void 0 : _a.focus) === null || _b === void 0 ? void 0 : _b.call(_a);
      }
    };
  });
  var isMobile = (0, _hooks.useMobile)();
  var className = isMobile ? '' : "".concat(_index.dtTextareaItemPrefix, "-desktop");
  return /*#__PURE__*/_react["default"].createElement(_antd["default"], __assign({}, props, {
    title: "",
    className: className,
    prefixCls: _index.dtTextareaItemPrefix,
    prefixListCls: "",
    ref: inputRef
  }));
}));
TextareaItem.displayName = 'TextareaItem';
var _default = exports["default"] = TextareaItem;