import * as React from 'react';
import "./DemoBlock.css";
import classnames from 'classnames';
var DemoBlock = function DemoBlock(props) {
  var _a = props.isWingBlank,
    isWingBlank = _a === void 0 ? true : _a,
    _b = props.hideBorder,
    hideBorder = _b === void 0 ? true : _b,
    _c = props.isUpDownBlank,
    isUpDownBlank = _c === void 0 ? true : _c;
  var className = classnames('dd-demo-block', props.className);
  return /*#__PURE__*/React.createElement("div", {
    className: className
  }, /*#__PURE__*/React.createElement("div", {
    className: classnames('dd-demo-block-title', {
      'dd-demo-block-title-no-border': props.hideBorder
    })
  }, props.title), /*#__PURE__*/React.createElement("div", {
    className: classnames('dd-demo-block-content', {
      'dd-demo-block-wing-blank': isWingBlank
    }, {
      'dd-demo-block-no-border': hideBorder
    }, {
      'dd-demo-block-up-down-blank': isUpDownBlank
    })
  }, props.children));
};
DemoBlock.displayName = 'DemoBlock';
export default DemoBlock;