// fn(x, (res) => cb(res)): void
// ->
// fn(x, cb): Promise<res>
export default (function (fn) {
  return function (opts, cb) {
    if (opts === void 0) {
      opts = {};
    }
    return new Promise(function (resolve, _reject) {
      fn(opts, function (res) {
        typeof cb === 'function' && cb(res);
        // @ts-ignore
        resolve(res);
      });
    });
  };
});