import * as React from 'react';
var SizeContext = /*#__PURE__*/React.createContext('default');
export var SizeContextProvider = function SizeContextProvider(_a) {
  var children = _a.children,
    size = _a.size;
  return /*#__PURE__*/React.createElement(SizeContext.Consumer, null, function (originSize) {
    return /*#__PURE__*/React.createElement(SizeContext.Provider, {
      value: size || originSize
    }, children);
  });
};
export default SizeContext;