import React from 'react';
import './style/index';
import { NativeProps } from '../_internal/native-props';
export declare const prefixCls: string;
export type BreadcrumbsProps = {
    /**
     * @description 面包屑导航数据集
     * @default ['','']
     */
    breadcrumbs?: Array<string>;
    /**
     * @description 面包屑导航点击事件
     * @default -
     */
    onClick: (index: number) => void;
} & NativeProps;
declare const Breadcrumb: React.FC<React.PropsWithChildren<BreadcrumbsProps>>;
export default Breadcrumb;
