import { BasePropsType, BaseFormItemTypeWithoutFocus } from '../_internal';
import { ListPropsType } from '../list/PropsType';
export interface CheckboxPropsType<T = any> extends BasePropsType, BaseFormItemTypeWithoutFocus<boolean> {
    value?: T;
    checked?: boolean;
    defaultChecked?: boolean;
    indeterminate?: boolean;
}
export interface CheckboxGroupPropsType<T = any> extends BasePropsType, Omit<BaseFormItemTypeWithoutFocus<T[]>, 'id'>, ListPropsType {
    value?: T[];
    defaultValue?: T[];
}
export interface CheckboxItemPropsType extends BasePropsType {
    disabled?: boolean;
    value?: any;
    id?: string;
    hideDivider?: boolean;
}
