import React, { FC } from 'react';
import { Locale } from '../locales/base';
type Config = {
    locale: Locale;
    config: {
        adapt: boolean;
    };
    children?: React.ReactNode;
};
export declare const defaultConfigRef: {
    current: Config;
};
export declare function setDefaultConfig(p: Partial<Config>): void;
export declare function getDefaultConfig(): Config;
export type ConfigProviderProps = Partial<Config>;
export declare const ConfigProvider: FC<ConfigProviderProps>;
export declare function useConfig(): Config;
export {};
