export declare enum EmptyTypes {
    /**
     * @description 网络错误
     */
    NETWORK = "network",
    /**
     * @description 暂无权限
     */
    PERMISSION = "permission",
    /**
     * @description 页面异常
     */
    EXCEPTION = "exception",
    /**
     * @description 无搜索结果
     */
    SEARCH = "search",
    /**
     * @description 暂无内容
     */
    NOCONTENT = "noContent",
    /**
     * @description 回收站已清空
     */
    RECYLEBINCLEARED = "recycleBinCleared",
    /**
     * @description 上传文件
     */
    UPLOADFILE = "uploadFile",
    /**
     * @description 暂无会话
     */
    NOCONV = "noConv",
    /**
     * @description 已读
     */
    MESSAGEREAD = "messageRead",
    /**
     * @description 未读
     */
    MESSAGEUNREAD = "messageUnread",
    /**
     * @description 暂无公告
     */
    NONOTICE = "noNotice"
}
declare const _default: (props: typeof EmptyTypes) => null;
export default _default;
