import React from 'react';
import { FormLayout } from '.';
import type { Meta, InternalNamePath } from 'rc-field-form/lib/interface';
export type FormContextType = {
    name?: string;
    hasFeedback: boolean;
    layout: FormLayout;
    requiredMarkStyle: 'asterisk' | 'text-required' | 'text-optional' | 'none';
    disabled: boolean;
};
export declare const defaultFormContext: FormContextType;
export declare const FormContext: React.Context<FormContextType>;
export type OnSubMetaChange = (meta: Meta & {
    destroy?: boolean;
}, namePath: InternalNamePath) => void;
export declare const NoStyleItemContext: React.Context<OnSubMetaChange | null>;
export type FormItemContextType = {};
export declare const FormItemContext: React.Context<FormContextType>;
