/// <reference types="react" />
import { useWatch, useForm } from 'rc-field-form';
export type FormLayout = 'vertical' | 'horizontal';
export type { FormProps, FormInstance } from './form';
export type { ValidateMessages, FieldData, NamePath } from 'rc-field-form/es/interface';
declare const _default: import("react").ForwardRefExoticComponent<Pick<import("rc-field-form").FormProps<any>, "form" | "children" | "preserve" | "name" | "initialValues" | "validateMessages" | "validateTrigger" | "onFieldsChange" | "onFinish" | "onFinishFailed" | "onValuesChange"> & import("../_internal/native-props").NativeProps<never> & Partial<import("./context").FormContextType> & Partial<import("rc-field-form").FormInstance<any>> & {
    mode?: "default" | "card" | undefined;
} & import("react").RefAttributes<import("./Form").FormInstance>> & {
    Item: import("react").FC<import("react").PropsWithChildren<import("./Item").FormItemProps>>;
    Group: import("react").FC<import("react").PropsWithChildren<import("./Group").FormGroupProps>>;
    Header: import("react").FC<{
        children?: import("react").ReactNode;
    }>;
    useForm: typeof useForm;
    useWatch: typeof useWatch;
};
export default _default;
