var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];
      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }
    return t;
  };
  return __assign.apply(this, arguments);
};
var __rest = this && this.__rest || function (s, e) {
  var t = {};
  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};
import React from 'react';
import './style/index';
import classnames from 'classnames';
import LoadingCircularOutlined from 'dingtalk-design-icons/lib/LoadingCircularOutlined';
import NoticeErrorOutlined from 'dingtalk-design-icons/lib/NoticeErrorOutlined';
import CheckmarkCircleOutlined from 'dingtalk-design-icons/lib/CheckmarkCircleOutlined';
import NoticeWarningOutlined from 'dingtalk-design-icons/lib/NoticeWarningOutlined';
import { dtMobileIconPrefix } from '../style';
import './style/index';
var TypeIconMap = {
  loading: LoadingCircularOutlined,
  fail: NoticeErrorOutlined,
  success: CheckmarkCircleOutlined,
  warn: NoticeWarningOutlined
};
var Icon = /*#__PURE__*/React.memo(function (props) {
  var _a;
  var className = props.className,
    size = props.size,
    type = props.type,
    otherProps = __rest(props, ["className", "size", "type"]);
  var ICON = TypeIconMap[type];
  if (ICON) {
    var wrapCls = classnames(dtMobileIconPrefix, className, (_a = {}, _a["".concat(dtMobileIconPrefix, "-").concat(size)] = size, _a["".concat(dtMobileIconPrefix, "-").concat(type)] = TypeIconMap[type], _a));
    return /*#__PURE__*/React.createElement(ICON, __assign({}, otherProps, {
      className: wrapCls
    }));
  } else {
    return null;
  }
});
export default Icon;