import React from 'react';
import { BasePropsType } from '../_internal';
import './style/index';
import { NativeProps } from '../_internal/native-props';
export declare const dtMobileIndexBarPrefix: string;
export type IH5IndexBarProps = {
    /**
     * @description 是否开启锚点自动吸顶
     * @default true
     */
    sticky?: boolean;
    children?: React.ReactNode;
} & BasePropsType & NativeProps;
export type IndexBarRef = {
    scrollTo: (index: string) => void;
};
declare const _default: React.ForwardRefExoticComponent<{
    /**
     * @description 是否开启锚点自动吸顶
     * @default true
     */
    sticky?: boolean | undefined;
    children?: React.ReactNode;
} & BasePropsType & NativeProps<never> & React.RefAttributes<IndexBarRef>> & {
    Panel: React.FC<React.PropsWithChildren<import("./Panel").IndexBarAnchorProps>>;
};
export default _default;
