/// <reference types="react" />
import { BasePropsType, BaseFormItemType, BaseFormItemTypeWithoutFocus } from '../_internal';
import { ListPropsType } from '../list/PropsType';
export interface RadioGroupPropsType<T = any> extends BasePropsType, ListPropsType, Omit<BaseFormItemTypeWithoutFocus<T>, 'id'> {
    defaultValue?: T;
    value?: T;
}
export interface RadioItemPropsType<T = any> extends BasePropsType {
    value: T;
    disabled?: boolean;
    id?: string;
    brief?: React.ReactNode;
    hideDivider?: boolean;
}
export interface RadioPropsType<T = any> extends BasePropsType, BaseFormItemType<boolean> {
    value?: T;
    checked?: boolean;
    defaultChecked?: boolean;
}
