import * as React from 'react';
declare class ErrorBoundary extends React.Component<React.PropsWithChildren<{
    onError: (error: any) => void;
}>> {
    componentDidCatch(error: any): void;
    render(): React.ReactNode;
}
export interface IWithErrorOptions {
    readonly forwardRef: boolean;
}
export declare function withError<P extends object, TRef = {}, X = {}>(BaseComponent: React.FC<P> & X, options: IWithErrorOptions): (React.MemoExoticComponent<React.ForwardRefExoticComponent<React.PropsWithoutRef<P> & React.RefAttributes<TRef>>> | React.NamedExoticComponent<P>) & X;
export declare function withError<P extends object, X = {}>(BaseComponent: React.FC<P> & X): React.FC<P> & X;
export default ErrorBoundary;
