import React from 'react';
import classNames from 'classnames';
import { withNativeProps } from '../_internal/native-props';
import { dtMobilePrefix } from '../style/index';
var classPrefix = "".concat(dtMobilePrefix, "-space");
export var Space = /*#__PURE__*/React.memo(function (props) {
  var _a;
  var direction = props.direction,
    className = props.className;
  return withNativeProps(props, /*#__PURE__*/React.createElement("div", {
    className: classNames(classPrefix, className, (_a = {}, _a["".concat(classPrefix, "-wrap")] = props.wrap, _a["".concat(classPrefix, "-block")] = props.block, _a["".concat(classPrefix, "-").concat(direction)] = true, _a["".concat(classPrefix, "-align-").concat(props.align)] = !!props.align, _a["".concat(classPrefix, "-justify-").concat(props.justify)] = !!props.justify, _a))
  }, React.Children.map(props.children, function (child) {
    return child !== null && child !== undefined && /*#__PURE__*/React.createElement("div", {
      className: "".concat(classPrefix, "-item")
    }, child);
  })));
});
Space.defaultProps = {
  direction: 'horizontal'
};
Space.displayName = 'Space';