var __read = this && this.__read || function (o, n) {
  var m = typeof Symbol === "function" && o[Symbol.iterator];
  if (!m) return o;
  var i = m.call(o),
    r,
    ar = [],
    e;
  try {
    while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
  } catch (error) {
    e = {
      error: error
    };
  } finally {
    try {
      if (r && !r.done && (m = i["return"])) m.call(i);
    } finally {
      if (e) throw e.error;
    }
  }
  return ar;
};
import React, { useState } from 'react';
import classnames from 'classnames';
import { MoreOutlined } from 'dd-icons';
import { usePropsValue } from '../_internal/use-props-value';
import Popover from '../popover';
import actionParser from './actionParser';
import { dtSwipeActionPrefix } from '../style/index';
import './style/index';
var PcAdapter = function PcAdapter(props) {
  var _a = props.right,
    right = _a === void 0 ? [] : _a,
    autoClose = props.autoClose,
    disabled = props.disabled,
    onOpen = props.onOpen,
    onClose = props.onClose,
    children = props.children,
    renderIcon = props.renderIcon,
    _b = props.defaultMenuVisible,
    defaultMenuVisible = _b === void 0 ? true : _b;
  var _c = __read(useState(false), 2),
    showMenu = _c[0],
    setShowMenu = _c[1];
  var _d = __read(usePropsValue({
      defaultValue: defaultMenuVisible
    }), 2),
    showMenuIcon = _d[0],
    setShowMenuIcon = _d[1];
  var More = showMenuIcon ? (/*#__PURE__*/React.createElement(MoreOutlined, {
    className: "".concat(dtSwipeActionPrefix, "-more"),
    onClick: function onClick() {
      onOpen && onOpen('right');
      setShowMenu(true);
    }
  })) : undefined;
  return /*#__PURE__*/React.createElement("div", {
    className: classnames(dtSwipeActionPrefix, "".concat(dtSwipeActionPrefix, "-pc")),
    onMouseEnter: function onMouseEnter() {
      if (defaultMenuVisible) return;
      setShowMenuIcon(true);
    },
    onMouseLeave: function onMouseLeave() {
      if (defaultMenuVisible) return;
      setShowMenuIcon(false);
    }
  }, !disabled && !!right.length && (/*#__PURE__*/React.createElement(Popover, {
    overlay: /*#__PURE__*/React.createElement("div", {
      className: "".concat(dtSwipeActionPrefix, "-pc-action-container")
    }, actionParser(right).map(function (item) {
      return /*#__PURE__*/React.createElement("div", {
        className: item.className,
        style: item.style,
        onClick: function onClick() {
          if (autoClose) {
            setShowMenu(false);
            onClose && onClose();
          }
          item.onPress && item.onPress();
        }
      }, item.text);
    })),
    placement: "bottomRight",
    arrow: false,
    visible: showMenu,
    onVisibleChange: function onVisibleChange(visible) {
      if (visible) {
        onOpen && onOpen('right');
      } else {
        onClose && onClose();
      }
      setShowMenu(visible);
    }
  }, /*#__PURE__*/React.createElement("div", {
    className: "".concat(dtSwipeActionPrefix, "-trigger")
  }, renderIcon ? renderIcon(More) : More))), children);
};
export default PcAdapter;