import type { ReactNode } from 'react';
import type { BadgeProps } from '../../badge';
export interface TabbarItemProps {
    /**
     * @description 对应activeKey
     */
    key: string;
    /**
     * @description 图标
     * @type ReactNode | ((active: boolean) => ReactNode)
     */
    icon?: ReactNode | ((active: boolean) => ReactNode);
    /**
     * @description 标题
     */
    title?: string;
    /**
     * @description 徽标，同 Badge 的 text 属性
     */
    badge?: BadgeProps['text'];
}
declare const _default: (props: React.PropsWithChildren<TabbarItemProps>) => null;
export default _default;
