var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];
      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }
    return t;
  };
  return __assign.apply(this, arguments);
};
var __rest = this && this.__rest || function (s, e) {
  var t = {};
  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};
import classnames from 'classnames';
import React from 'react';
import { prefix } from './Tag';
import Tag from './Tag';
var CheckableTag = /*#__PURE__*/React.memo(function (props) {
  var _a;
  var children = props.children,
    checked = props.checked,
    onChange = props.onChange,
    onClick = props.onClick,
    className = props.className,
    resetProps = __rest(props, ["children", "checked", "onChange", "onClick", "className"]);
  var cls = classnames(className, (_a = {}, _a["".concat(prefix, "-checked")] = checked, _a));
  var onTagClick = function onTagClick(e) {
    onChange === null || onChange === void 0 ? void 0 : onChange(!checked);
    onClick === null || onClick === void 0 ? void 0 : onClick(e);
  };
  return /*#__PURE__*/React.createElement(Tag, __assign({
    className: cls,
    size: 'medium'
  }, resetProps, {
    onClick: onTagClick,
    style: props.style
  }), children);
});
CheckableTag.displayName = 'CheckableTag';
export default CheckableTag;