import { isInDingTalk } from '../_internal';
import toast from 'dingtalk-jsapi/api/device/notification/toast';
import 'dingtalk-jsapi/entry/union';
export var adaptPC = function adaptPC(type, content, position, duration) {
  if (position === 'middle') {
    console.warn('toast桌面端不支持position==="middle"');
  }
  if (isInDingTalk) {
    var toastType = void 0;
    switch (type) {
      case 'info':
        break;
      case 'success':
        toastType = 'success';
        break;
      case 'fail':
        toastType = 'error';
        break;
      case 'loading':
        console.warn('toast桌面端不支持loading类型');
        break;
      case 'config':
        console.warn('toast桌面端不支持config类型');
        break;
      default:
        break;
    }
    if (typeof content !== 'string') {
      console.warn('toast桌面端仅支持content为string类型');
    }
    toast({
      icon: toastType,
      text: typeof content === 'string' ? content : '',
      duration: duration
    });
    return;
  }
};