"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = _default;
var React = _interopRequireWildcard(require("react"));
var _dingtalkDesignMobile = require("dingtalk-design-mobile");
var _rmc = require("../../rmc");
var _whiteSpace = _interopRequireDefault(require("../../white-space"));
var _wingBlank = _interopRequireDefault(require("../../wing-blank"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var __assign = void 0 && (void 0).__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];
      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }
    return t;
  };
  return __assign.apply(this, arguments);
};
var __read = void 0 && (void 0).__read || function (o, n) {
  var m = typeof Symbol === "function" && o[Symbol.iterator];
  if (!m) return o;
  var i = m.call(o),
    r,
    ar = [],
    e;
  try {
    while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
  } catch (error) {
    e = {
      error: error
    };
  } finally {
    try {
      if (r && !r.done && (m = i["return"])) m.call(i);
    } finally {
      if (e) throw e.error;
    }
  }
  return ar;
};
function _default(data, opts) {
  var fixData = Object.keys(data).reduce(function (ret, k) {
    var _a;
    var v = data[k].v;
    return __assign(__assign({}, ret), (_a = {}, _a[k] = v, _a));
    // 现在没有办法返回正确的 Ret 类型
  }, {});
  var _a = __read(React.useState(fixData), 2),
    d = _a[0],
    sd = _a[1];
  // 为需要的添加 key
  var key = React.useRef(0);
  var handleConfigChange = function handleConfigChange(d) {
    key.current++;
    sd(d);
  };
  // 这里顺序会受 Object.keys(d) 的变化而变化。
  // let a = { a: 1, b: 2, c: 3 }
  // alert(JSON.stringify(Object.keys(a)))
  // a = { ...a, a: 4 }
  // alert(JSON.stringify(Object.keys(a)))
  // 比如以上例子，在 pc chrome 是 ['a', 'b', 'c']，在 ios chrome 则是 ['b', 'c', 'a']
  // 因此，考虑到 state 不会新增 key, 这里为了简单起见，先固定 d 的顺序
  var sortedD = React.useRef(Object.keys(d));
  var _b = __read(React.useState(false), 2),
    visible = _b[0],
    setVisible = _b[1];
  var view = /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(_dingtalkDesignMobile.List, {
    renderHeader: "\u6761\u4EF6\u7B5B\u9009".concat((opts === null || opts === void 0 ? void 0 : opts.randomKey) ? '(重绘)' : '')
  }, /*#__PURE__*/React.createElement(_dingtalkDesignMobile.List.Item, null, /*#__PURE__*/React.createElement(_dingtalkDesignMobile.Button, {
    type: "primary",
    onClick: function onClick() {
      setVisible(!visible);
    }
  }, "\u53C2\u6570\u8C03\u6574"))), /*#__PURE__*/React.createElement(_rmc.Dialog, {
    visible: visible,
    position: "left",
    onClose: function onClose() {
      return setVisible(false);
    }
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      minWidth: '75vw',
      maxHeight: '100vh',
      overflow: 'auto',
      textAlign: 'left'
    }
  }, /*#__PURE__*/React.createElement(_dingtalkDesignMobile.List, {
    renderHeader: "\u6761\u4EF6\u7B5B\u9009"
  }, sortedD.current.map(function (k) {
    var _a, _b;
    if ((_b = (_a = data[k]).hide) === null || _b === void 0 ? void 0 : _b.call(_a, d)) {
      return null;
    }
    // default is switch
    if (data[k].type === 'switch' || data[k].type === undefined) {
      return /*#__PURE__*/React.createElement(_dingtalkDesignMobile.List.Item, {
        key: k,
        extra: /*#__PURE__*/React.createElement(_dingtalkDesignMobile.Switch, {
          defaultChecked: d[k],
          onChange: function onChange(c) {
            var _a;
            handleConfigChange(__assign(__assign({}, d), (_a = {}, _a[k] = c, _a)));
          }
        })
      }, data[k].desc || k);
    }
    return /*#__PURE__*/React.createElement(_dingtalkDesignMobile.Radio.Group, {
      defaultValue: d[k],
      key: k,
      onChange: function onChange(v) {
        var _a;
        handleConfigChange(__assign(__assign({}, d), (_a = {}, _a[k] = v, _a)));
      }
    }, data[k].options.map(function (i) {
      return /*#__PURE__*/React.createElement(_dingtalkDesignMobile.Radio.Item, {
        key: i,
        value: i
      }, data[k].desc || k, ": ", i || '无');
    }));
  })), /*#__PURE__*/React.createElement(_whiteSpace["default"], null), /*#__PURE__*/React.createElement(_wingBlank["default"], null, /*#__PURE__*/React.createElement(_dingtalkDesignMobile.Button, {
    type: "primary",
    onClick: function onClick() {
      return setVisible(false);
    }
  }, "\u5173\u95ED")), /*#__PURE__*/React.createElement(_whiteSpace["default"], null))));
  var retD = Object.keys(d).reduce(function (ret, k) {
    var _a;
    var _b, _c;
    var v = d[k];
    if (typeof data[k].getPropsFromValue === 'function') {
      v = (_c = (_b = data[k]).getPropsFromValue) === null || _c === void 0 ? void 0 : _c.call(_b, v);
    }
    var next = __assign(__assign({}, ret), (_a = {}, _a[k] = v, _a));
    if (opts === null || opts === void 0 ? void 0 : opts.randomKey) {
      // @ts-ignore
      next.key = key.current;
    }
    return next;
    // 现在没有办法返回正确的 Ret 类型
  }, {});
  return [retD, view];
}