"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isMobile = exports.isInDingTalk = exports.canUseDOM = exports.IS_IOS = void 0;
var canUseDOM = exports.canUseDOM = !!(typeof window !== 'undefined' && window.document && window.document.createElement);
var IS_IOS = exports.IS_IOS = canUseDOM && /iphone|ipad|ipod/i.test(window.navigator.userAgent);
// @ts-ignore
var ua = typeof navigator !== 'undefined' && navigator && (navigator.userAgent || navigator.swuserAgent) || '';
function getLocationValue(name) {
  return new URL(window.location.href).searchParams.get(name);
}
var isMobile = exports.isMobile = /phone|pad|pod|iPhone|iPod|ios|iPad|Android|Mobile|BlackBerry|IEMobile|MQQBrowser|JUC|Fennec|wOSBrowser|BrowserNG|WebOS|Symbian|Windows Phone/i.test(ua) || getLocationValue('isUseMobileComp') === 'true';
var isInDingTalk = exports.isInDingTalk = /dingtalk/i.test(ua);