"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  getDataAttr: true,
  error: true,
  uuid: true,
  isReactComponent: true,
  renderIcon: true,
  renderIconV2: true,
  promisify: true,
  createGlobalElement: true,
  convertRef: true,
  deprecated: true
};
Object.defineProperty(exports, "convertRef", {
  enumerable: true,
  get: function get() {
    return _convertRef["default"];
  }
});
Object.defineProperty(exports, "createGlobalElement", {
  enumerable: true,
  get: function get() {
    return _createGlobalElement["default"];
  }
});
Object.defineProperty(exports, "deprecated", {
  enumerable: true,
  get: function get() {
    return _deprecated["default"];
  }
});
Object.defineProperty(exports, "error", {
  enumerable: true,
  get: function get() {
    return _error["default"];
  }
});
Object.defineProperty(exports, "getDataAttr", {
  enumerable: true,
  get: function get() {
    return _getDataAttr["default"];
  }
});
Object.defineProperty(exports, "isReactComponent", {
  enumerable: true,
  get: function get() {
    return _isReactComponent["default"];
  }
});
Object.defineProperty(exports, "promisify", {
  enumerable: true,
  get: function get() {
    return _promisify["default"];
  }
});
Object.defineProperty(exports, "renderIcon", {
  enumerable: true,
  get: function get() {
    return _renderIcon["default"];
  }
});
Object.defineProperty(exports, "renderIconV2", {
  enumerable: true,
  get: function get() {
    return _renderIcon.renderIconV2;
  }
});
Object.defineProperty(exports, "uuid", {
  enumerable: true,
  get: function get() {
    return _uuid["default"];
  }
});
var _getDataAttr = _interopRequireDefault(require("./getDataAttr"));
var _error = _interopRequireDefault(require("./error"));
var _uuid = _interopRequireDefault(require("./uuid"));
var _isReactComponent = _interopRequireDefault(require("./isReactComponent"));
var _renderIcon = _interopRequireWildcard(require("./renderIcon"));
var _promisify = _interopRequireDefault(require("./promisify"));
var _createGlobalElement = _interopRequireDefault(require("./createGlobalElement"));
var _convertRef = _interopRequireDefault(require("./convertRef"));
var _deprecated = _interopRequireDefault(require("./deprecated"));
var _env = require("./env");
Object.keys(_env).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _env[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _env[key];
    }
  });
});
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }