"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
// fn(x, (res) => cb(res)): void
// ->
// fn(x, cb): Promise<res>
var _default = exports["default"] = function _default(fn) {
  return function (opts, cb) {
    if (opts === void 0) {
      opts = {};
    }
    return new Promise(function (resolve, _reject) {
      fn(opts, function (res) {
        typeof cb === 'function' && cb(res);
        // @ts-ignore
        resolve(res);
      });
    });
  };
};