"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useInnerVisible = useInnerVisible;
var _react = require("react");
var _ahooks = require("ahooks");
var __read = void 0 && (void 0).__read || function (o, n) {
  var m = typeof Symbol === "function" && o[Symbol.iterator];
  if (!m) return o;
  var i = m.call(o),
    r,
    ar = [],
    e;
  try {
    while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
  } catch (error) {
    e = {
      error: error
    };
  } finally {
    try {
      if (r && !r.done && (m = i["return"])) m.call(i);
    } finally {
      if (e) throw e.error;
    }
  }
  return ar;
};
function useInnerVisible(outerVisible) {
  var _a = __read((0, _react.useState)(outerVisible), 2),
    innerVisible = _a[0],
    setInnerVisible = _a[1];
  (0, _ahooks.useIsomorphicLayoutEffect)(function () {
    setInnerVisible(outerVisible);
  }, [outerVisible]);
  return innerVisible;
}