"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mergeProps = mergeProps;
var _assign = _interopRequireDefault(require("lodash/assign"));
var _assignWith = _interopRequireDefault(require("lodash/assignWith"));
var _isUndefined = _interopRequireDefault(require("lodash/isUndefined"));
function mergeProps() {
  var items = [];
  for (var _i = 0; _i < arguments.length; _i++) {
    items[_i] = arguments[_i];
  }
  function customizer(objValue, srcValue) {
    return (0, _isUndefined["default"])(srcValue) ? objValue : srcValue;
  }
  var ret = (0, _assign["default"])({}, items[0]);
  for (var i = 1; i < items.length; i++) {
    ret = (0, _assignWith["default"])(ret, items[i], customizer);
  }
  return ret;
}