"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.changeMonthAndYear = changeMonthAndYear;
exports.convertPageToDayjs = convertPageToDayjs;
exports.convertValueToRange = convertValueToRange;
var _dayjs = _interopRequireDefault(require("dayjs"));
function convertValueToRange(selectionMode, value) {
  if (selectionMode === undefined) {
    return null;
  }
  if (value === null) {
    return null;
  }
  if (Array.isArray(value)) {
    return value;
  }
  return [value, value];
}
function convertPageToDayjs(page) {
  return (0, _dayjs["default"])().year(page.year).month(page.month - 1).date(1);
}
function changeMonthAndYear(day, month, year) {
  return (0, _dayjs["default"])(day).year(year).month(month);
}