"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.dtMobileDivierPrefix = exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
require("./style/index");
var _index2 = require("../style/index");
var _classnames = _interopRequireDefault(require("classnames"));
var _nativeProps = require("../_internal/native-props");
var dtMobileDivierPrefix = exports.dtMobileDivierPrefix = "".concat(_index2.dtMobilePrefix, "-divider");
var Divider = /*#__PURE__*/_react["default"].memo(function (props) {
  var _a;
  var text = props.text,
    className = props.className,
    align = props.align,
    icon = props.icon,
    full = props.full,
    _b = props.type,
    type = _b === void 0 ? 'horizontal' : _b;
  var prefixCls = dtMobileDivierPrefix;
  var wrapCls = (0, _classnames["default"])(prefixCls, className, "".concat(prefixCls, "-").concat(type), (_a = {}, _a["".concat(prefixCls, "-left")] = align === 'left', _a["".concat(prefixCls, "-right")] = align === 'right', _a["".concat(prefixCls, "-full")] = full, _a));
  return (0, _nativeProps.withNativeProps)(props, /*#__PURE__*/_react["default"].createElement("div", {
    className: wrapCls
  }, type === 'vertical' ? null : (/*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("div", {
    className: "".concat(prefixCls, "-inner-left")
  }), text && /*#__PURE__*/_react["default"].createElement("div", {
    className: "".concat(prefixCls, "-inner-text")
  }, icon, text), /*#__PURE__*/_react["default"].createElement("div", {
    className: "".concat(prefixCls, "-inner-right")
  })))));
});
Divider.displayName = 'Divider';
var _default = exports["default"] = Divider;