"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.lightMin = exports.lightBig = exports.darkMin = exports.darkBig = void 0;
var lightBig = exports.lightBig = {
  network: 'https://img.alicdn.com/imgextra/i1/O1CN01bDRYgV1mAf4FcpTEy_!!6000000004914-55-tps-180-180.svg',
  permission: 'https://img.alicdn.com/imgextra/i1/O1CN01jY0m3M1OQe6zw0Pb1_!!6000000001700-55-tps-180-180.svg',
  exception: 'https://img.alicdn.com/imgextra/i1/O1CN01MYp3nx1CxN1IKW1Go_!!6000000000147-55-tps-180-180.svg',
  search: 'https://img.alicdn.com/imgextra/i2/O1CN01rKjuLh22WDYpmsdYw_!!6000000007127-55-tps-180-180.svg',
  noContent: 'https://img.alicdn.com/imgextra/i4/O1CN01e4ooJc24CdrgLxMX2_!!6000000007355-55-tps-180-180.svg',
  recycleBinCleared: 'https://img.alicdn.com/imgextra/i2/O1CN01lGdjng1snUKy2SVNU_!!6000000005811-55-tps-180-180.svg',
  uploadFile: 'https://img.alicdn.com/imgextra/i1/O1CN012vILDU1MRty1z4zmZ_!!6000000001432-55-tps-180-180.svg',
  noConv: 'https://img.alicdn.com/imgextra/i1/O1CN01hZeZAQ1OmAjBKK6EG_!!6000000001747-55-tps-180-180.svg',
  messageRead: 'https://img.alicdn.com/imgextra/i1/O1CN01hMPDao1tjedgcsVM0_!!6000000005938-55-tps-180-180.svg',
  messageUnread: 'https://img.alicdn.com/imgextra/i2/O1CN01EqdVvM1e3Jn3hpjQp_!!6000000003815-55-tps-180-180.svg',
  noNotice: 'https://img.alicdn.com/imgextra/i3/O1CN01NCq51x29lW6HMEkEt_!!6000000008108-55-tps-180-180.svg'
};
var lightMin = exports.lightMin = {
  network: 'https://img.alicdn.com/imgextra/i3/O1CN01oSSlmr27OxMSpNnQ7_!!6000000007788-55-tps-110-110.svg',
  permission: 'https://img.alicdn.com/imgextra/i1/O1CN01HgIP2H1F3ttv6Qfus_!!6000000000432-55-tps-110-110.svg',
  exception: 'https://img.alicdn.com/imgextra/i1/O1CN01S9y7Bw1mCx320gxv4_!!6000000004919-55-tps-110-110.svg',
  search: 'https://img.alicdn.com/imgextra/i2/O1CN01wZC4LI21tkI6C5sQA_!!6000000007043-55-tps-110-110.svg',
  noContent: 'https://img.alicdn.com/imgextra/i3/O1CN01L04S1m1YsG9GewvqA_!!6000000003114-55-tps-110-110.svg',
  recycleBinCleared: 'https://img.alicdn.com/imgextra/i4/O1CN01xmtsbx1ebD6HZ7sYI_!!6000000003889-55-tps-110-110.svg',
  uploadFile: 'https://img.alicdn.com/imgextra/i3/O1CN01MUBCfc1XPZjCstSU6_!!6000000002916-55-tps-110-110.svg',
  noConv: 'https://img.alicdn.com/imgextra/i4/O1CN01S0n2O11ZjO5jIJ99J_!!6000000003230-55-tps-110-110.svg',
  messageRead: 'https://img.alicdn.com/imgextra/i1/O1CN01Sf54Ip1LuT3J72CQP_!!6000000001359-55-tps-110-110.svg',
  messageUnread: 'https://img.alicdn.com/imgextra/i2/O1CN011NJ7HD1F5jU4RBoRD_!!6000000000436-55-tps-110-110.svg',
  noNotice: 'https://img.alicdn.com/imgextra/i1/O1CN01cUmfF11pOo9C8zZYU_!!6000000005351-55-tps-110-110.svg'
};
var darkBig = exports.darkBig = {
  network: 'https://img.alicdn.com/imgextra/i2/O1CN0169iu8a1eFE5PgtUYk_!!6000000003841-55-tps-180-180.svg',
  permission: 'https://img.alicdn.com/imgextra/i1/O1CN01jY0m3M1OQe6zw0Pb1_!!6000000001700-55-tps-180-180.svg',
  exception: 'https://img.alicdn.com/imgextra/i2/O1CN013xQp7m1VWKKkooAxp_!!6000000002660-55-tps-180-180.svg',
  search: 'https://img.alicdn.com/imgextra/i2/O1CN01QKLz3i1xvnbNqdVZF_!!6000000006506-55-tps-180-180.svg',
  noContent: 'https://img.alicdn.com/imgextra/i4/O1CN01e4ooJc24CdrgLxMX2_!!6000000007355-55-tps-180-180.svg',
  recycleBinCleared: 'https://img.alicdn.com/imgextra/i1/O1CN01hbOscK1HKxtBGOs51_!!6000000000740-55-tps-180-180.svg',
  uploadFile: 'https://img.alicdn.com/imgextra/i3/O1CN01Zy1hqp1fP8GmxmMcc_!!6000000003998-55-tps-180-180.svg',
  noConv: 'https://img.alicdn.com/imgextra/i2/O1CN01aVe9TW1vx3SWqkht4_!!6000000006238-55-tps-180-180.svg',
  messageRead: 'https://img.alicdn.com/imgextra/i4/O1CN01bpcHEY1PpCy2s1nJ2_!!6000000001889-55-tps-180-180.svg',
  messageUnread: 'https://img.alicdn.com/imgextra/i1/O1CN01TEFogS28PhcW5uNKP_!!6000000007925-55-tps-180-180.svg',
  noNotice: 'https://img.alicdn.com/imgextra/i4/O1CN01YaU8Ok1zkvQmgAvvN_!!6000000006753-55-tps-180-180.svg'
};
var darkMin = exports.darkMin = {
  network: 'https://img.alicdn.com/imgextra/i4/O1CN012n8J4N1vJfOc6G6UF_!!6000000006152-55-tps-110-110.svg',
  permission: 'https://img.alicdn.com/imgextra/i2/O1CN014Iu5Pi1kfEGmX1vRB_!!6000000004710-55-tps-110-110.svg',
  exception: 'https://img.alicdn.com/imgextra/i4/O1CN01cmYxwV1IqOgUNPy1y_!!6000000000944-55-tps-110-110.svg',
  search: 'https://img.alicdn.com/imgextra/i3/O1CN01bG5pcI1vWUUB1bXvY_!!6000000006180-55-tps-110-110.svg',
  noContent: 'https://img.alicdn.com/imgextra/i3/O1CN013qhjtk1aBmeCrLjIT_!!6000000003292-55-tps-110-110.svg',
  recycleBinCleared: 'https://img.alicdn.com/imgextra/i1/O1CN01J6fUFg1vCnSGWILnb_!!6000000006137-55-tps-110-110.svg',
  uploadFile: 'https://img.alicdn.com/imgextra/i2/O1CN01bljtwr1Kw0lqZKM8G_!!6000000001227-55-tps-110-110.svg',
  noConv: 'https://img.alicdn.com/imgextra/i4/O1CN01AoOTqe1uX7PUN83wd_!!6000000006046-55-tps-110-110.svg',
  messageRead: 'https://img.alicdn.com/imgextra/i3/O1CN012zdjwJ1LAfRpUPeud_!!6000000001259-55-tps-110-110.svg',
  messageUnread: 'https://img.alicdn.com/imgextra/i4/O1CN01af8Hqj1bBc7PIM4vU_!!6000000003427-55-tps-110-110.svg',
  noNotice: 'https://img.alicdn.com/imgextra/i3/O1CN01HMXwCd1H4w1kS1SJc_!!6000000000705-55-tps-110-110.svg'
};