"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _classnames = _interopRequireDefault(require("classnames"));
var _react = _interopRequireDefault(require("react"));
var __extends = void 0 && (void 0).__extends || function () {
  var _extendStatics = function extendStatics(d, b) {
    _extendStatics = Object.setPrototypeOf || {
      __proto__: []
    } instanceof Array && function (d, b) {
      d.__proto__ = b;
    } || function (d, b) {
      for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p];
    };
    return _extendStatics(d, b);
  };
  return function (d, b) {
    if (typeof b !== "function" && b !== null) throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
    _extendStatics(d, b);
    function __() {
      this.constructor = d;
    }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
}();
var __assign = void 0 && (void 0).__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];
      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }
    return t;
  };
  return __assign.apply(this, arguments);
};
var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};
  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};
var Flex = /** @class */function (_super) {
  __extends(Flex, _super);
  function Flex() {
    return _super !== null && _super.apply(this, arguments) || this;
  }
  Flex.prototype.render = function () {
    var _a;
    var _b = this.props,
      direction = _b.direction,
      wrap = _b.wrap,
      justify = _b.justify,
      align = _b.align,
      alignContent = _b.alignContent,
      className = _b.className,
      children = _b.children,
      prefixCls = _b.prefixCls,
      style = _b.style,
      restProps = __rest(_b, ["direction", "wrap", "justify", "align", "alignContent", "className", "children", "prefixCls", "style"]);
    var wrapCls = (0, _classnames["default"])(prefixCls, className, (_a = {}, _a["".concat(prefixCls, "-dir-row")] = direction === 'row', _a["".concat(prefixCls, "-dir-row-reverse")] = direction === 'row-reverse', _a["".concat(prefixCls, "-dir-column")] = direction === 'column', _a["".concat(prefixCls, "-dir-column-reverse")] = direction === 'column-reverse', _a["".concat(prefixCls, "-nowrap")] = wrap === 'nowrap', _a["".concat(prefixCls, "-wrap")] = wrap === 'wrap', _a["".concat(prefixCls, "-wrap-reverse")] = wrap === 'wrap-reverse', _a["".concat(prefixCls, "-justify-start")] = justify === 'start', _a["".concat(prefixCls, "-justify-end")] = justify === 'end', _a["".concat(prefixCls, "-justify-center")] = justify === 'center', _a["".concat(prefixCls, "-justify-between")] = justify === 'between', _a["".concat(prefixCls, "-justify-around")] = justify === 'around', _a["".concat(prefixCls, "-align-start")] = align === 'start', _a["".concat(prefixCls, "-align-center")] = align === 'center', _a["".concat(prefixCls, "-align-end")] = align === 'end', _a["".concat(prefixCls, "-align-baseline")] = align === 'baseline', _a["".concat(prefixCls, "-align-stretch")] = align === 'stretch', _a["".concat(prefixCls, "-align-content-start")] = alignContent === 'start', _a["".concat(prefixCls, "-align-content-end")] = alignContent === 'end', _a["".concat(prefixCls, "-align-content-center")] = alignContent === 'center', _a["".concat(prefixCls, "-align-content-between")] = alignContent === 'between', _a["".concat(prefixCls, "-align-content-around")] = alignContent === 'around', _a["".concat(prefixCls, "-align-content-stretch")] = alignContent === 'stretch', _a));
    return /*#__PURE__*/_react["default"].createElement("div", __assign({
      className: wrapCls,
      style: style
    }, restProps), children);
  };
  Flex.defaultProps = {
    prefixCls: 'am-flexbox',
    align: 'center'
  };
  return Flex;
}(_react["default"].Component);
var _default = exports["default"] = Flex;