"use strict";

var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var React = _interopRequireWildcard(require("react"));
var _internal = require("../_internal");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var lockClassName = 'amd-body-scroll-lock-';
// 为什么用 className 的形式?
// 考虑到使用 inline style 会导致多个同时使用时对现有样式的干扰，因此这里采用外加 className 的方式来处理
var _default = exports["default"] = function _default(lock) {
  // 生成一个随机的 classNam
  // overflow: hidden; height: 100vh
  var lockClassNameX = React.useRef(lockClassName + (0, _internal.uuid)());
  React.useLayoutEffect(function () {
    if (lock) {
      document.body.classList.add(lockClassNameX.current);
      document.documentElement.classList.add(lockClassNameX.current);
    } else {
      document.body.classList.remove(lockClassNameX.current);
      document.documentElement.classList.remove(lockClassNameX.current);
    }
    return function () {
      document.body.classList.remove(lockClassNameX.current);
      document.documentElement.classList.remove(lockClassNameX.current);
    };
  }, [lock]);
};