"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
require("./style/index");
var _classnames = _interopRequireDefault(require("classnames"));
var _LoadingCircularOutlined = _interopRequireDefault(require("dingtalk-design-icons/lib/LoadingCircularOutlined"));
var _NoticeErrorOutlined = _interopRequireDefault(require("dingtalk-design-icons/lib/NoticeErrorOutlined"));
var _CheckmarkCircleOutlined = _interopRequireDefault(require("dingtalk-design-icons/lib/CheckmarkCircleOutlined"));
var _NoticeWarningOutlined = _interopRequireDefault(require("dingtalk-design-icons/lib/NoticeWarningOutlined"));
var _style = require("../style");
var __assign = void 0 && (void 0).__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];
      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }
    return t;
  };
  return __assign.apply(this, arguments);
};
var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};
  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};
var TypeIconMap = {
  loading: _LoadingCircularOutlined["default"],
  fail: _NoticeErrorOutlined["default"],
  success: _CheckmarkCircleOutlined["default"],
  warn: _NoticeWarningOutlined["default"]
};
var Icon = /*#__PURE__*/_react["default"].memo(function (props) {
  var _a;
  var className = props.className,
    size = props.size,
    type = props.type,
    otherProps = __rest(props, ["className", "size", "type"]);
  var ICON = TypeIconMap[type];
  if (ICON) {
    var wrapCls = (0, _classnames["default"])(_style.dtMobileIconPrefix, className, (_a = {}, _a["".concat(_style.dtMobileIconPrefix, "-").concat(size)] = size, _a["".concat(_style.dtMobileIconPrefix, "-").concat(type)] = TypeIconMap[type], _a));
    return /*#__PURE__*/_react["default"].createElement(ICON, __assign({}, otherProps, {
      className: wrapCls
    }));
  } else {
    return null;
  }
});
var _default = exports["default"] = Icon;