"use strict";

var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.dtMobileIndexBarPrefix = exports.Panel = void 0;
var _react = _interopRequireWildcard(require("react"));
var _nativeProps = require("../_internal/native-props");
var _context = require("./context");
var _index = require("../style/index");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var dtMobileIndexBarPrefix = exports.dtMobileIndexBarPrefix = "".concat(_index.dtMobilePrefix, "-indexBar-anchor");
var Panel = exports.Panel = function Panel(props) {
  var setIndexes = (0, _react.useContext)(_context.IndexBarContext).setIndexes;
  (0, _react.useEffect)(function () {
    setIndexes(function (val) {
      return val.concat([props.index]);
    });
    return function () {
      setIndexes(function (val) {
        return val.filter(function (x) {
          return x !== props.index;
        });
      });
    };
  }, [props.index]);
  return (0, _nativeProps.withNativeProps)(props, /*#__PURE__*/_react["default"].createElement("div", {
    "data-index": props.index,
    className: dtMobileIndexBarPrefix
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "".concat(dtMobileIndexBarPrefix, "-title")
  }, props.title || props.index), props.children));
};