import React from 'react';
import { NativeProps } from '../_internal/native-props';
import './style/index';
export type ListProps = {
    /**
     * @description 标题内容
     */
    renderHeader?: (() => React.ReactNode) | React.ReactNode;
    /**
     * @description 底部内容
     */
    renderFooter?: (() => React.ReactNode) | React.ReactNode;
    /**
     * @description 支持默认和卡片两种模式
     * @default 'default'
     */
    mode?: 'default' | 'card';
} & NativeProps;
export declare const List: React.FC<React.PropsWithChildren<ListProps>>;
