declare const enUS: {
    locale: string;
    common: {
        confirm: string;
        cancel: string;
        loading: string;
    };
    Form: {
        required: string;
        optional: string;
        defaultValidateMessages: {
            default: string;
            required: string;
            enum: string;
            whitespace: string;
            date: {
                format: string;
                parse: string;
                invalid: string;
            };
            types: {
                string: string;
                method: string;
                array: string;
                object: string;
                number: string;
                date: string;
                boolean: string;
                integer: string;
                float: string;
                regexp: string;
                email: string;
                url: string;
                hex: string;
            };
            string: {
                len: string;
                min: string;
                max: string;
                range: string;
            };
            number: {
                len: string;
                min: string;
                max: string;
                range: string;
            };
            array: {
                len: string;
                min: string;
                max: string;
                range: string;
            };
            pattern: {
                mismatch: string;
            };
        };
    };
    Empty: {
        network: {
            title: string;
            describe: string;
            btnName: string;
            subBtnName: string;
        };
        permission: {
            title: string;
            describe: string;
        };
        exception: {
            title: string;
            describe: string;
            btnName: string;
        };
        search: {
            title: string;
            describe: string;
        };
        noContent: {
            title: string;
        };
        recycleBinCleared: {
            title: string;
        };
        uploadFile: {
            title: string;
        };
        messageRead: {
            title: string;
        };
        noNotice: {
            title: string;
        };
        noConv: {
            title: string;
        };
    };
    NoticeBar: {
        text: string;
    };
    Mask: {
        name: string;
    };
    InfiniteScroll: {
        noMore: string;
        loading: string;
        failed: string;
        retry: string;
    };
    Calendar: {
        markItems: string[];
        toDay: string;
        begin: string;
        end: string;
        renderToday: (today: number) => string;
        renderYearAndMonth: (year: number, month: number) => string;
    };
};
export default enUS;
