"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _Dialog = _interopRequireDefault(require("./Dialog"));
var _alert = _interopRequireDefault(require("./alert"));
var _prompt = _interopRequireDefault(require("./prompt"));
require("./style/index");
var __assign = void 0 && (void 0).__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];
      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }
    return t;
  };
  return __assign.apply(this, arguments);
};
var Modal = function Modal(props) {
  return /*#__PURE__*/_react["default"].createElement(_Dialog["default"], __assign({}, props));
};
Modal.defaultProps = {
  maskClosable: true
};
Modal.alert = _alert["default"];
Modal.prompt = _prompt["default"];
var _default = exports["default"] = Modal;