"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _index = require("../style/index");
require("./style/index");
var _hooks = require("../hooks");
var _LeftArrow2Outlined = _interopRequireDefault(require("dd-icons/lib/LeftArrow2Outlined"));
var _nativeProps = require("../_internal/native-props");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var dtNavBarPrefix = "".concat(_index.dtMobilePrefix, "-nav-bar");
var NavBar = /*#__PURE__*/(0, _react.memo)(function (props) {
  var _a;
  var leftContent = props.leftContent,
    rightContent = props.rightContent,
    onLeftClick = props.onLeftClick,
    className = props.className;
  var isMobile = (0, _hooks.useMobile)();
  var wrapCls = (0, _classnames["default"])(dtNavBarPrefix, className, (_a = {}, _a["".concat(dtNavBarPrefix, "-desktop")] = !isMobile, _a));
  return (0, _nativeProps.withNativeProps)(props, /*#__PURE__*/_react["default"].createElement("div", {
    className: (0, _classnames["default"])(wrapCls)
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "".concat(dtNavBarPrefix, "-left"),
    role: "button"
  }, onLeftClick && (/*#__PURE__*/_react["default"].createElement("div", {
    className: "".concat(dtNavBarPrefix, "-back"),
    onClick: onLeftClick
  }, !leftContent && (/*#__PURE__*/_react["default"].createElement("span", {
    className: "".concat(dtNavBarPrefix, "-back-arrow")
  }, /*#__PURE__*/_react["default"].createElement(_LeftArrow2Outlined["default"], null))))), leftContent), /*#__PURE__*/_react["default"].createElement("div", {
    className: "".concat(dtNavBarPrefix, "-title")
  }, props.children), /*#__PURE__*/_react["default"].createElement("div", {
    className: "".concat(dtNavBarPrefix, "-right")
  }, rightContent)));
});
NavBar.displayName = 'NavBar';
var _default = exports["default"] = NavBar;