import React from 'react';
import type { ActionType } from 'rc-trigger/lib/interface';
import './style/index';
interface IPopguideProps {
    placement?: 'left' | 'right' | 'top' | 'bottom' | 'topLeft' | 'topRight' | 'bottomLeft' | 'bottomRight';
    visible?: boolean;
    title?: React.ReactNode | string;
    subTitle?: React.ReactNode | string;
    image?: string;
    trigger?: ActionType | ActionType[];
    overlayClassName?: string;
    getPopupContainer?: (node: HTMLElement) => HTMLElement;
    onVisibleChange?: (visible: boolean) => void;
    onClose?: () => void;
}
declare const Popguide: React.FC<IPopguideProps>;
export default Popguide;
