import { FC, PropsWithChildren } from 'react';
import { NativeProps } from '../_internal/native-props';
import { PopupBaseProps } from './popup-base-props';
export type PopupProps = PopupBaseProps & PropsWithChildren<{
    position?: 'bottom' | 'top' | 'left' | 'right';
}> & NativeProps<'--z-index'>;
export declare const Popup: FC<PopupProps>;
