"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ProgressLine = void 0;
var _react = _interopRequireDefault(require("react"));
require("./style/index");
var _index2 = require("./index");
var _AchieveFilled = _interopRequireDefault(require("dd-icons/lib/AchieveFilled"));
var _WarningFilled = _interopRequireDefault(require("dd-icons/lib/WarningFilled"));
var _classnames = _interopRequireDefault(require("classnames"));
var ProgressLine = exports.ProgressLine = /*#__PURE__*/_react["default"].memo(function (p) {
  var percent = p.percent,
    status = p.status;
  var Tag = _react["default"].useMemo(function () {
    switch (status) {
      case _index2.ProgressStatus.loading:
        return /*#__PURE__*/_react["default"].createElement("div", {
          className: "".concat(_index2.dtProgressBarPrefix, "-tag ").concat(_index2.dtProgressBarPrefix, "-tag-loading")
        }, percent, "%");
      case _index2.ProgressStatus.error:
        return /*#__PURE__*/_react["default"].createElement("div", {
          className: "".concat(_index2.dtProgressBarPrefix, "-tag ").concat(_index2.dtProgressBarPrefix, "-tag-error")
        }, /*#__PURE__*/_react["default"].createElement(_WarningFilled["default"], null));
      case _index2.ProgressStatus.success:
        return /*#__PURE__*/_react["default"].createElement("div", {
          className: "".concat(_index2.dtProgressBarPrefix, "-tag ").concat(_index2.dtProgressBarPrefix, "-tag-success")
        }, /*#__PURE__*/_react["default"].createElement(_AchieveFilled["default"], null));
      default:
        return null;
    }
  }, [status, percent]);
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "".concat(_index2.dtProgressBarPrefix, "-line-container")
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "".concat(_index2.dtProgressBarPrefix, "-line")
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: (0, _classnames["default"])("".concat(_index2.dtProgressBarPrefix, "-fill"), "".concat(_index2.dtProgressBarPrefix, "-").concat(status)),
    style: {
      width: "".concat(percent, "%")
    }
  })), Tag);
});