"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _index = require("../style/index");
require("./style/index");
var __assign = void 0 && (void 0).__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];
      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }
    return t;
  };
  return __assign.apply(this, arguments);
};
var Skeleton = /*#__PURE__*/_react["default"].memo(function (props) {
  var _a;
  var style = __assign({
    width: props.width,
    height: props.height
  }, props.style);
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: style,
    className: (0, _classnames["default"])(_index.dtSkeletonPrefix, (_a = {}, _a["".concat(_index.dtSkeletonPrefix, "-animated")] = props.animated, _a), "".concat(_index.dtSkeletonPrefix, "-").concat(props.type || 'text'), props.className)
  });
});
Skeleton.defaultProps = {
  type: 'text'
};
Skeleton.displayName = 'Skeleton';
var _default = exports["default"] = Skeleton;