"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Ticks = void 0;
var _react = _interopRequireDefault(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _index = require("./index");
var Ticks = exports.Ticks = function Ticks(_a) {
  var points = _a.points,
    max = _a.max,
    min = _a.min,
    upperBound = _a.upperBound,
    lowerBound = _a.lowerBound;
  var range = max - min;
  var elements = points.map(function (point) {
    var _a;
    var offset = "".concat(Math.abs(point - min) / range * 100, "%");
    var isActived = point <= upperBound && point >= lowerBound;
    var style = {
      left: offset
    };
    var pointClassName = (0, _classnames["default"])((_a = {}, _a["".concat(_index.dtSliderPrefix, "-tick")] = true, _a["".concat(_index.dtSliderPrefix, "-tick-active")] = isActived, _a));
    return /*#__PURE__*/_react["default"].createElement("span", {
      className: pointClassName,
      style: style,
      key: point
    });
  });
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "".concat(_index.dtSliderPrefix, "-ticks")
  }, elements);
};