"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _react = _interopRequireWildcard(require("react"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ddIcons = require("dd-icons");
var _usePropsValue = require("../_internal/use-props-value");
var _popover = _interopRequireDefault(require("../popover"));
var _actionParser = _interopRequireDefault(require("./actionParser"));
var _index = require("../style/index");
require("./style/index");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != _typeof(e) && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var __read = void 0 && (void 0).__read || function (o, n) {
  var m = typeof Symbol === "function" && o[Symbol.iterator];
  if (!m) return o;
  var i = m.call(o),
    r,
    ar = [],
    e;
  try {
    while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
  } catch (error) {
    e = {
      error: error
    };
  } finally {
    try {
      if (r && !r.done && (m = i["return"])) m.call(i);
    } finally {
      if (e) throw e.error;
    }
  }
  return ar;
};
var PcAdapter = function PcAdapter(props) {
  var _a = props.right,
    right = _a === void 0 ? [] : _a,
    autoClose = props.autoClose,
    disabled = props.disabled,
    onOpen = props.onOpen,
    onClose = props.onClose,
    children = props.children,
    renderIcon = props.renderIcon,
    _b = props.defaultMenuVisible,
    defaultMenuVisible = _b === void 0 ? true : _b;
  var _c = __read((0, _react.useState)(false), 2),
    showMenu = _c[0],
    setShowMenu = _c[1];
  var _d = __read((0, _usePropsValue.usePropsValue)({
      defaultValue: defaultMenuVisible
    }), 2),
    showMenuIcon = _d[0],
    setShowMenuIcon = _d[1];
  var More = showMenuIcon ? (/*#__PURE__*/_react["default"].createElement(_ddIcons.MoreOutlined, {
    className: "".concat(_index.dtSwipeActionPrefix, "-more"),
    onClick: function onClick() {
      onOpen && onOpen('right');
      setShowMenu(true);
    }
  })) : undefined;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: (0, _classnames["default"])(_index.dtSwipeActionPrefix, "".concat(_index.dtSwipeActionPrefix, "-pc")),
    onMouseEnter: function onMouseEnter() {
      if (defaultMenuVisible) return;
      setShowMenuIcon(true);
    },
    onMouseLeave: function onMouseLeave() {
      if (defaultMenuVisible) return;
      setShowMenuIcon(false);
    }
  }, !disabled && !!right.length && (/*#__PURE__*/_react["default"].createElement(_popover["default"], {
    overlay: /*#__PURE__*/_react["default"].createElement("div", {
      className: "".concat(_index.dtSwipeActionPrefix, "-pc-action-container")
    }, (0, _actionParser["default"])(right).map(function (item) {
      return /*#__PURE__*/_react["default"].createElement("div", {
        className: item.className,
        style: item.style,
        onClick: function onClick() {
          if (autoClose) {
            setShowMenu(false);
            onClose && onClose();
          }
          item.onPress && item.onPress();
        }
      }, item.text);
    })),
    placement: "bottomRight",
    arrow: false,
    visible: showMenu,
    onVisibleChange: function onVisibleChange(visible) {
      if (visible) {
        onOpen && onOpen('right');
      } else {
        onClose && onClose();
      }
      setShowMenu(visible);
    }
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "".concat(_index.dtSwipeActionPrefix, "-trigger")
  }, renderIcon ? renderIcon(More) : More))), children);
};
var _default = exports["default"] = PcAdapter;