"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.adaptPC = void 0;
var _internal = require("../_internal");
var _toast = _interopRequireDefault(require("dingtalk-jsapi/api/device/notification/toast"));
require("dingtalk-jsapi/entry/union");
var adaptPC = exports.adaptPC = function adaptPC(type, content, position, duration) {
  if (position === 'middle') {
    console.warn('toast桌面端不支持position==="middle"');
  }
  if (_internal.isInDingTalk) {
    var toastType = void 0;
    switch (type) {
      case 'info':
        break;
      case 'success':
        toastType = 'success';
        break;
      case 'fail':
        toastType = 'error';
        break;
      case 'loading':
        console.warn('toast桌面端不支持loading类型');
        break;
      case 'config':
        console.warn('toast桌面端不支持config类型');
        break;
      default:
        break;
    }
    if (typeof content !== 'string') {
      console.warn('toast桌面端仅支持content为string类型');
    }
    (0, _toast["default"])({
      icon: toastType,
      text: typeof content === 'string' ? content : '',
      duration: duration
    });
    return;
  }
};