import * as React from 'react';
import './style/index';
export interface IWhiteSpaceProps {
    /**
     * @description 尺寸
     * @default 'md''
     */
    size?: 'sm' | 'md' | 'lg' | 'xl' | 'xxl';
    className?: string;
}
/**
 * 上下留白
 * @description 布局控件
 */
declare const WhiteSpace: React.FC<IWhiteSpaceProps>;
export default WhiteSpace;
